"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_router_1 = require("react-router");
const styles = require("../../styles/nav.scss");
const Nav = () => {
    return (React.createElement("nav", { className: styles.nav },
        React.createElement("h1", null, "Components"),
        React.createElement("ul", null,
            React.createElement("li", null,
                React.createElement(react_router_1.IndexLink, { to: "/", activeClassName: styles.active },
                    React.createElement("span", null, "Home"))),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/avatar", activeClassName: styles.active }, "Avatar")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/badge", activeClassName: styles.active }, "Badge")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/banner", activeClassName: styles.active }, "Banner")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/Button", activeClassName: styles.active }, "Button")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/ButtonGroup", activeClassName: styles.active }, "ButtonGroup")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/caption", activeClassName: styles.active }, "Caption")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/card", activeClassName: styles.active }, "Card")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/checkbox", activeClassName: styles.active }, "Checkbox")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/chip", activeClassName: styles.active }, "Chip")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/choice", activeClassName: styles.active }, "Choice")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/choicelist", activeClassName: styles.active }, "Choice List")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/clickablechip", activeClassName: styles.active }, "ClickableChip")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/column", activeClassName: styles.active }, "Column")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/connected", activeClassName: styles.active }, "Connected")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/displaytext", activeClassName: styles.active }, "DisplayText")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/FlexBox", activeClassName: styles.active }, "FlexBox")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/FormLayout", activeClassName: styles.active }, "FormLayout")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/heading", activeClassName: styles.active }, "Heading")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/icon", activeClassName: styles.active }, "Icon")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/Image", activeClassName: styles.active }, "Image")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/label", activeClassName: styles.active }, "Label")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/labelled", activeClassName: styles.active }, "Labelled")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/Link", activeClassName: styles.active }, "Link")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/list", activeClassName: styles.active }, "List")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/loading", activeClassName: styles.active }, "Loading")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/message", activeClassName: styles.active }, "Message")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/modal", activeClassName: styles.active }, "Modal")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/popover", activeClassName: styles.active }, "Popover")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/positionedoverlay", activeClassName: styles.active }, "Positioned Overlay")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/radiobutton", activeClassName: styles.active }, "RadioButton")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/Scrollable", activeClassName: styles.active }, "Scrollable")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/select", activeClassName: styles.active }, "Select")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/spinner", activeClassName: styles.active }, "Spinner")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/stack", activeClassName: styles.active }, "Stack")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/subheading", activeClassName: styles.active }, "SubHeading")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/tag", activeClassName: styles.active }, "Tag")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/TextField", activeClassName: styles.active }, "TextField")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/tooltip", activeClassName: styles.active }, "Tooltip")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/UnstyledLink", activeClassName: styles.active }, "UnstyledLink")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/validatedform", activeClassName: styles.active }, "ValidatedForm")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/validatedtextfield", activeClassName: styles.active }, "Validated TextField")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/video", activeClassName: styles.active }, "Video")),
            React.createElement("li", null,
                React.createElement(react_router_1.Link, { to: "/component/visuallyhidden", activeClassName: styles.active }, "VisuallyHidden")))));
};
exports.default = Nav;
