"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const styles = require("../../styles/properties.scss");
class Properties extends React.Component {
    constructor() {
        super(...arguments);
        this.createHeadings = () => {
            // creates an array of th components based on the keys in the first object
            return Object.keys(this.props.tableValues[0]).map((value, index) => {
                return React.createElement("th", { key: index, className: styles.border }, value);
            });
        };
        this.createRows = () => {
            // creates an array of rows and cells
            return this.props.tableValues.map((row, index) => {
                const cells = this.createCells(row);
                return (React.createElement("tr", { key: index, className: styles.border }, cells));
            });
        };
        this.createCells = (row) => {
            // takes in a row object and returns an array of cells
            return Object.keys(row).map((key, index) => {
                return (React.createElement("td", { key: index, className: styles.border }, row[key]));
            });
        };
    }
    render() {
        const headings = this.createHeadings();
        const contents = this.createRows();
        return (React.createElement("div", null,
            React.createElement("h3", null, "Properties"),
            React.createElement("table", { className: styles.border + ' ' + styles.table },
                React.createElement("thead", { className: styles.heading },
                    React.createElement("tr", null, headings)),
                React.createElement("tbody", null, contents))));
    }
}
exports.default = Properties;
