"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const Redux = require("react-redux");
const redux_1 = require("redux");
const actions = require("../actions/ComponentActions");
const Heading_1 = require("../components/Heading");
const Subheading_1 = require("../components/Subheading");
const Properties_1 = require("../components/Properties");
const Example_1 = require("../components/Example");
require("../styles/components-page.scss");
const styles = require("../styles/global-styles.scss");
class ComponentsPage extends React.Component {
    render() {
        const currentComponentId = this.props.routeParams.component;
        const currentState = this.props.state.find((document) => { return document.id === currentComponentId; });
        if (!currentState)
            return (null);
        return (React.createElement("div", { className: styles.component_container },
            React.createElement(Heading_1.default, { value: currentState.heading }),
            currentState.subheading && React.createElement(Subheading_1.default, { value: currentState.subheading }),
            currentState.property && React.createElement(Properties_1.default, { tableValues: currentState.property }),
            React.createElement(Example_1.default, { exampleHeader: currentState.exampleCodeHeader, exampleDescription: currentState.exampleCodeDescription, exampleCode: currentState.exampleCode, exampleComponent: currentState.exampleComponent }),
            React.createElement(Example_1.default, { exampleHeader: currentState.exampleCodeHeader1, exampleDescription: currentState.exampleCodeDescription1, exampleCode: currentState.exampleCode1, exampleComponent: currentState.exampleComponent1 }),
            React.createElement(Example_1.default, { exampleHeader: currentState.exampleCodeHeader2, exampleDescription: currentState.exampleCodeDescription2, exampleCode: currentState.exampleCode2, exampleComponent: currentState.exampleComponent2 }),
            React.createElement(Example_1.default, { exampleHeader: currentState.exampleCodeHeader3, exampleDescription: currentState.exampleCodeDescription3, exampleCode: currentState.exampleCode3, exampleComponent: currentState.exampleComponent3 }),
            React.createElement(Example_1.default, { exampleHeader: currentState.exampleCodeHeader4, exampleDescription: currentState.exampleCodeDescription4, exampleCode: currentState.exampleCode4, exampleComponent: currentState.exampleComponent4 }),
            React.createElement(Example_1.default, { exampleHeader: currentState.exampleCodeHeader5, exampleDescription: currentState.exampleCodeDescription5, exampleCode: currentState.exampleCode5, exampleComponent: currentState.exampleComponent5 }),
            React.createElement(Example_1.default, { exampleHeader: currentState.exampleCodeHeader6, exampleDescription: currentState.exampleCodeDescription6, exampleCode: currentState.exampleCode6, exampleComponent: currentState.exampleComponent6 }),
            React.createElement(Example_1.default, { exampleHeader: currentState.exampleCodeHeader7, exampleDescription: currentState.exampleCodeDescription7, exampleCode: currentState.exampleCode7, exampleComponent: currentState.exampleComponent7 }),
            React.createElement(Example_1.default, { exampleHeader: currentState.exampleCodeHeader8, exampleDescription: currentState.exampleCodeDescription8, exampleCode: currentState.exampleCode8, exampleComponent: currentState.exampleComponent8 }),
            React.createElement(Example_1.default, { exampleHeader: currentState.exampleCodeHeader9, exampleDescription: currentState.exampleCodeDescription9, exampleCode: currentState.exampleCode9, exampleComponent: currentState.exampleComponent9 })));
    }
}
function mapStateToProps(state) {
    return {
        state: state.components,
    };
}
function mapDispatchToProps(dispatch) {
    return {
        actions: redux_1.bindActionCreators(actions.requestComponents, dispatch),
    };
}
exports.default = Redux.connect(mapStateToProps, mapDispatchToProps)(ComponentsPage);
