"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const AvatarExampleFirst_1 = require("../../examples/AvatarExample/AvatarExampleFirst");
const AvatarExampleSecond_1 = require("../../examples/AvatarExample/AvatarExampleSecond");
const AvatarExampleThird_1 = require("../../examples/AvatarExample/AvatarExampleThird");
const AvatarExampleCodeFirst = require('!raw-loader!../../examples/AvatarExample/AvatarExampleFirst');
const AvatarExampleCodeSecond = require('!raw-loader!../../examples/AvatarExample/AvatarExampleSecond');
const AvatarExampleCodeThird = require('!raw-loader!../../examples/AvatarExample/AvatarExampleThird');
const avatarState = {
    id: 'avatar',
    heading: 'Avatar',
    subheading: `Avatars are used to show a thumbnail representation of an individual or business in the interface.`,
    property: [
        {
            name: 'size',
            type: 'Size',
            desc: 'Size of avatar. It can be small, medium or large',
        }, {
            name: 'name',
            type: 'string',
            desc: 'Name of the person for avatar',
        }, {
            name: 'initials',
            type: 'string',
            desc: 'Initials of person to display',
        }, {
            name: 'customer',
            type: 'boolean',
            desc: 'Weather avatar is for customer',
        }, {
            name: 'source',
            type: 'string',
            desc: 'URL of the avatar image',
        }, {
            name: 'accessibilityLabel',
            type: 'string',
            desc: 'Accessible label for the avatar image',
        }, {
            name: 'theme',
            type: 'any',
            desc: 'Theme to be injected via css-themr',
        },
    ],
    exampleCode: AvatarExampleCodeFirst,
    exampleComponent: AvatarExampleFirst_1.default,
    exampleCodeHeader: '1. Default Avatar:',
    exampleCodeDescription: 'It is a simple Avatar without Image and Initials',
    exampleCode1: AvatarExampleCodeSecond,
    exampleComponent1: AvatarExampleSecond_1.default,
    exampleCodeHeader1: '2. Initial Avatar:',
    exampleCodeDescription1: 'It is a Avatar with initials',
    exampleCode2: AvatarExampleCodeThird,
    exampleComponent2: AvatarExampleThird_1.default,
    exampleCodeHeader2: '3. Image Avatar',
    exampleCodeDescription2: 'It is a Avatar with an image',
};
exports.default = avatarState;
