"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ButtonGroupExampleFirst_1 = require("../../examples/ButtonGroupExample/ButtonGroupExampleFirst");
const ButtonGroupExampleSecond_1 = require("../../examples/ButtonGroupExample/ButtonGroupExampleSecond");
const ButtonGroupExampleFirstCode = require('!raw-loader!../../examples/ButtonGroupExample/ButtonGroupExampleFirst');
const ButtonGroupExampleSecondCode = require('!raw-loader!../../examples/ButtonGroupExample/ButtonGroupExampleSecond');
const ButtonGroupState = {
    id: 'ButtonGroup',
    heading: 'ButtonGroup',
    subheading: `A Button Group displays multiple related actions in a row to help with horizontal
              arrangement and the spacing of calls to action.`,
    property: [
        {
            name: 'segmented',
            type: 'boolean',
            desc: 'Display true or false value. Join buttons as segmented group.',
        }, {
            name: 'children',
            type: 'React.ReactNode',
            desc: 'Name of button, 	Button components.',
        }, {
            name: 'theme',
            type: 'any',
            desc: 'Display any type of theme.',
        },
    ],
    exampleCode: ButtonGroupExampleFirstCode,
    exampleComponent: ButtonGroupExampleFirst_1.default,
    exampleCodeHeader: '1. Default Button Group:',
    exampleCodeDescription: 'Use when you have multiple buttons to space them out evenly.',
    exampleCode1: ButtonGroupExampleSecondCode,
    exampleComponent1: ButtonGroupExampleSecond_1.default,
    exampleCodeHeader1: '2. Segmented Button Group:',
    exampleCodeDescription1: 'Use to emphasize several buttons as a thematically-related set among other controls.',
};
exports.default = ButtonGroupState;
