"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ButtonExampleFirst_1 = require("../../examples/ButtonExample/ButtonExampleFirst");
const ButtonExampleSecond_1 = require("../../examples/ButtonExample/ButtonExampleSecond");
const ButtonExampleThird_1 = require("../../examples/ButtonExample/ButtonExampleThird");
const ButtonExampleFourth_1 = require("../../examples/ButtonExample/ButtonExampleFourth");
const ButtonExampleFifth_1 = require("../../examples/ButtonExample/ButtonExampleFifth");
const ButtonExampleSixth_1 = require("../../examples/ButtonExample/ButtonExampleSixth");
const ButtonExampleSeventh_1 = require("../../examples/ButtonExample/ButtonExampleSeventh");
const ButtonExampleEighth_1 = require("../../examples/ButtonExample/ButtonExampleEighth");
const ButtonExampleNinth_1 = require("../../examples/ButtonExample/ButtonExampleNinth");
const ButtonExampleTenth_1 = require("../../examples/ButtonExample/ButtonExampleTenth");
const ButtonExampleFirstCode = require('!raw-loader!../../examples/ButtonExample/ButtonExampleFirst');
const ButtonExampleSecondCode = require('!raw-loader!../../examples/ButtonExample/ButtonExampleSecond');
const ButtonExampleThirdCode = require('!raw-loader!../../examples/ButtonExample/ButtonExampleThird');
const ButtonExampleFourthCode = require('!raw-loader!../../examples/ButtonExample/ButtonExampleFourth');
const ButtonExampleFifthCode = require('!raw-loader!../../examples/ButtonExample/ButtonExampleFifth');
const ButtonExampleSixthCode = require('!raw-loader!../../examples/ButtonExample/ButtonExampleSixth');
const ButtonExampleSeventhCode = require('!raw-loader!../../examples/ButtonExample/ButtonExampleSeventh');
const ButtonExampleEighthCode = require('!raw-loader!../../examples/ButtonExample/ButtonExampleEighth');
const ButtonExampleNinthCode = require('!raw-loader!../../examples/ButtonExample/ButtonExampleNinth');
const ButtonExampleTenthCode = require('!raw-loader!../../examples/ButtonExample/ButtonExampleTenth');
const ButtonState = {
    id: 'Button',
    heading: 'Button',
    subheading: `A Button displays multiple related actions in a row to help with horizontal
              arrangement and the spacing of calls to action.`,
    property: [
        {
            name: 'url',
            type: 'string',
            desc: 'To display the URL link.',
        }, {
            name: 'children',
            type: 'string',
            desc: 'The content to display inside the button.',
        }, {
            name: 'size',
            type: 'Size',
            desc: 'Change the size of the button. It can be slim or large',
        }, {
            name: 'fullWidth',
            type: 'boolean',
            desc: 'Allows the button to grow to the width of its container',
        }, {
            name: 'primary',
            type: 'boolean',
            desc: 'Display as primary button.',
        }, {
            name: 'outline',
            type: 'boolean',
            desc: 'Display an outlined button.',
        }, {
            name: 'destructive',
            type: 'boolean',
            desc: 'Display as destructive button.',
        }, {
            name: 'disabled',
            type: 'boolean',
            desc: 'Display button as disable.',
        }, {
            name: 'plain',
            type: 'boolean',
            desc: 'Use plain button style.',
        }, {
            name: 'external',
            type: 'boolean',
            desc: 'Force url to open in a new tab.',
        }, {
            name: 'submit',
            type: 'boolean',
            desc: 'Button will submit a form.',
        }, {
            name: 'disclosure',
            type: 'boolean',
            desc: 'Display button with a disclosure icon.',
        }, {
            name: 'accessibilityLabel',
            type: 'string',
            desc: 'Visually hidden text for screen readers.',
        }, {
            name: 'icon',
            type: 'IconProps',
            desc: 'Icon to display in the banner.',
        }, {
            name: 'style',
            type: 'React.CSSProperties',
            desc: 'To display the styling.',
        }, {
            name: 'theme',
            type: 'any',
            desc: 'Theme to be injected via css-themr.',
        }, {
            name: 'onClick',
            type: 'void',
            desc: 'Callback when clicked.',
        }, {
            name: 'onFocus',
            type: 'void',
            desc: 'Callback when button becomes focussed.',
        }, {
            name: 'onBlur',
            type: 'void',
            desc: 'Callback when focus leaves button.',
        },
    ],
    exampleCode: ButtonExampleFirstCode,
    exampleComponent: ButtonExampleFirst_1.default,
    exampleCodeHeader: '1. Basic Button:',
    exampleCodeDescription: 'Used most in the interface. It is without any properties.',
    exampleCode1: ButtonExampleSecondCode,
    exampleComponent1: ButtonExampleSecond_1.default,
    exampleCodeHeader1: '2.Plain Button:',
    exampleCodeDescription1: 'Use for less important or less commonly used actions.',
    exampleCode2: ButtonExampleThirdCode,
    exampleComponent2: ButtonExampleThird_1.default,
    exampleCodeHeader2: '3. Primary Button:',
    exampleCodeDescription2: 'Use to highlight the most important actions.',
    exampleCode3: ButtonExampleFourthCode,
    exampleComponent3: ButtonExampleFourth_1.default,
    exampleCodeHeader3: '4. Destructive Button:',
    exampleCodeDescription3: 'Used when action is to delete the data.',
    exampleCode4: ButtonExampleFifthCode,
    exampleComponent4: ButtonExampleFifth_1.default,
    exampleCodeHeader4: '5. Slim Button:',
    exampleCodeDescription4: 'Use to make small size button.',
    exampleCode5: ButtonExampleSixthCode,
    exampleComponent5: ButtonExampleSixth_1.default,
    exampleCodeHeader5: '6. Large Button:',
    exampleCodeDescription5: 'Use to make large size button.',
    exampleCode6: ButtonExampleSeventhCode,
    exampleComponent6: ButtonExampleSeventh_1.default,
    exampleCodeHeader6: '7. Fullwidth Button:',
    exampleCodeDescription6: 'Use for buttons placed in a narrow column or for creating a set of buttons of equal width.',
    exampleCode7: ButtonExampleEighthCode,
    exampleComponent7: ButtonExampleEighth_1.default,
    exampleCodeHeader7: '8. Disabled Button:',
    exampleCodeDescription7: 'Use for actions that aren’t currently available. The surrounding interface should make it clear why the button is disabled and what needs to be done to enable it.',
    exampleCode8: ButtonExampleNinthCode,
    exampleComponent8: ButtonExampleNinth_1.default,
    exampleCodeHeader8: '9. Submit Button:',
    exampleCodeDescription8: 'Use as Form submit button.',
    exampleCode9: ButtonExampleTenthCode,
    exampleComponent9: ButtonExampleTenth_1.default,
    exampleCodeHeader9: '10. Icon Button:',
    exampleCodeDescription9: 'Use to show button with only icon.',
};
exports.default = ButtonState;
