"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CardExampleFirst_1 = require("../../examples/CardExample/CardExampleFirst");
const CardExampleSecond_1 = require("../../examples/CardExample/CardExampleSecond");
const CardExampleThird_1 = require("../../examples/CardExample/CardExampleThird");
const CardExampleFourth_1 = require("../../examples/CardExample/CardExampleFourth");
const CardExampleFifth_1 = require("../../examples/CardExample/CardExampleFifth");
const CardExampleFirstCode = require('!raw-loader!../../examples/CardExample/CardExampleFirst');
const CardExampleSecondCode = require('!raw-loader!../../examples/CardExample/CardExampleSecond');
const CardExampleThirdCode = require('!raw-loader!../../examples/CardExample/CardExampleThird');
const CardExampleFourthCode = require('!raw-loader!../../examples/CardExample/CardExampleFourth');
const CardExampleFifthCode = require('!raw-loader!../../examples/CardExample/CardExampleFifth');
const cardState = {
    id: 'card',
    heading: 'Card',
    subheading: 'Cards are used to group similar concepts and tasks together to make easier for user to scan, read, and get things done.',
    property: [
        {
            name: 'title',
            type: 'string',
            desc: 'Title content for the card.',
        }, {
            name: 'children',
            type: 'React.ReactNode',
            desc: 'Card related components to render inside this card.',
        }, {
            name: 'subdued',
            type: 'boolean',
            desc: 'A less prominent card',
        }, {
            name: 'sectioned',
            type: 'boolean',
            desc: 'Auto wrap content in section',
        }, {
            name: 'actions',
            type: 'Action[]',
            desc: 'Card header actions',
        }, {
            name: 'primaryFooterAction',
            type: 'Action',
            desc: 'Primary action in the card footer',
        }, {
            name: 'secondaryFooterAction',
            type: 'Action',
            desc: 'Secondary action in the card footer',
        }, {
            name: 'theme',
            type: 'any',
            desc: 'Theme to be injected via css-themr.',
        },
    ],
    exampleCode: CardExampleFirstCode,
    exampleComponent: CardExampleFirst_1.default,
    exampleCodeHeader: '1. Default Card:',
    exampleCodeDescription: 'Use when you have a simple message to communicate to user that doesn’t require any secondary steps.',
    exampleCode1: CardExampleSecondCode,
    exampleComponent1: CardExampleSecond_1.default,
    exampleCodeHeader1: '2. Card with call to action in footer:',
    exampleCodeDescription1: 'Use when you have a simple message to communicate to user that requires them to take an action.',
    exampleCode2: CardExampleThirdCode,
    exampleComponent2: CardExampleThird_1.default,
    exampleCodeHeader2: '3. Card with call to action in header:',
    exampleCodeDescription2: 'Use when there’s a persistent action available to user.',
    exampleCode3: CardExampleFourthCode,
    exampleComponent3: CardExampleFourth_1.default,
    exampleCodeHeader3: '4. Card with multiple sections:',
    exampleCodeDescription3: 'Use when you have two related but distinct pieces of information to communicate to user.',
    exampleCode4: CardExampleFifthCode,
    exampleComponent4: CardExampleFifth_1.default,
    exampleCodeHeader4: '5. Subdued Card:',
    exampleCodeDescription4: 'Use for content that you want to deprioritize.',
};
exports.default = cardState;
