"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ChoiceExampleFirst_1 = require("../../examples/ChoiceExample/ChoiceExampleFirst");
const ChoiceExampleSecond_1 = require("../../examples/ChoiceExample/ChoiceExampleSecond");
const ChoiceExampleThird_1 = require("../../examples/ChoiceExample/ChoiceExampleThird");
const ChoiceExampleFirstCode = require('!raw-loader!../../examples/ChoiceExample/ChoiceExampleFirst');
const ChoiceExampleSecondCode = require('!raw-loader!../../examples/ChoiceExample/ChoiceExampleSecond');
const ChoiceExampleThirdCode = require('!raw-loader!../../examples/ChoiceExample/ChoiceExampleThird');
const ChoiceState = {
    id: 'choice',
    heading: 'Choice',
    subheading: `Choice component is used to provide selection for RadioButton, Checkbox and Choicelist components.`,
    property: [
        {
            name: 'id',
            type: 'string',
            desc: 'Set id of Choice component.',
        }, {
            name: 'label',
            type: 'string',
            desc: 'Set label text.',
        }, {
            name: 'error',
            type: 'Error (boolean | string)',
            desc: 'To give error as boolean or string.',
        }, {
            name: 'labelHidden',
            type: 'boolean',
            desc: 'Display label or not.',
        }, {
            name: 'children',
            type: 'React.ReactNode',
            desc: 'To provide child text.',
        }, {
            name: 'helpText',
            type: 'React.ReactNode',
            desc: 'Text to understand in detail.',
        }, {
            name: 'theme',
            type: 'any',
            desc: 'Theme to be injected via css-themr.',
        },
    ],
    exampleCode: ChoiceExampleFirstCode,
    exampleComponent: ChoiceExampleFirst_1.default,
    exampleCodeHeader: '1. Default Choice:',
    exampleCodeDescription: 'Use to show text choice.',
    exampleCode1: ChoiceExampleSecondCode,
    exampleComponent1: ChoiceExampleSecond_1.default,
    exampleCodeHeader1: '2. Choice with Error:',
    exampleCodeDescription1: 'Use to let user know that there is some error with the choice.',
    exampleCode2: ChoiceExampleThirdCode,
    exampleComponent2: ChoiceExampleThird_1.default,
    exampleCodeHeader2: '3. Choice with Helptext:',
    exampleCodeDescription2: 'Use to show some description with the choice so user can understand it.',
};
exports.default = ChoiceState;
