"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const FlexBoxExampleFirst_1 = require("../../examples/FlexBoxExample/FlexBoxExampleFirst");
const FlexBoxExampleSecond_1 = require("../../examples/FlexBoxExample/FlexBoxExampleSecond");
const FlexBoxExampleThird_1 = require("../../examples/FlexBoxExample/FlexBoxExampleThird");
const FlexBoxExampleFourth_1 = require("../../examples/FlexBoxExample/FlexBoxExampleFourth");
const FlexBoxExampleFifth_1 = require("../../examples/FlexBoxExample/FlexBoxExampleFifth");
const FlexBoxExampleSixth_1 = require("../../examples/FlexBoxExample/FlexBoxExampleSixth");
const FlexBoxExampleSeventh_1 = require("../../examples/FlexBoxExample/FlexBoxExampleSeventh");
const FlexBoxExampleEighth_1 = require("../../examples/FlexBoxExample/FlexBoxExampleEighth");
const FlexBoxExampleNinth_1 = require("../../examples/FlexBoxExample/FlexBoxExampleNinth");
const FlexBoxExampleTenth_1 = require("../../examples/FlexBoxExample/FlexBoxExampleTenth");
const FlexBoxExampleFirstCode = require('!raw-loader!../../examples/FlexBoxExample/FlexBoxExampleFirst');
const FlexBoxExampleSecondCode = require('!raw-loader!../../examples/FlexBoxExample/FlexBoxExampleSecond');
const FlexBoxExampleThirdCode = require('!raw-loader!../../examples/FlexBoxExample/FlexBoxExampleThird');
const FlexBoxExampleFourthCode = require('!raw-loader!../../examples/FlexBoxExample/FlexBoxExampleFourth');
const FlexBoxExampleFifthCode = require('!raw-loader!../../examples/FlexBoxExample/FlexBoxExampleFifth');
const FlexBoxExampleSixthCode = require('!raw-loader!../../examples/FlexBoxExample/FlexBoxExampleSixth');
const FlexBoxExampleSeventhCode = require('!raw-loader!../../examples/FlexBoxExample/FlexBoxExampleSeventh');
const FlexBoxExampleEighthCode = require('!raw-loader!../../examples/FlexBoxExample/FlexBoxExampleEighth');
const FlexBoxExampleNinthCode = require('!raw-loader!../../examples/FlexBoxExample/FlexBoxExampleNinth');
const FlexBoxExampleTenthCode = require('!raw-loader!../../examples/FlexBoxExample/FlexBoxExampleTenth');
const FlexBoxState = {
    id: 'FlexBox',
    heading: 'FlexBox',
    subheading: `Quickly manage the layout, alignment, and sizing of grid columns, navigation, components, and more with flexbox.`,
    property: [
        {
            name: 'inline',
            type: 'boolean',
            desc: 'Set display of flex container.',
        }, {
            name: 'direction',
            type: 'FlexDirection',
            desc: 'Sets the direction of flex items in a flex container. Value of direction can be one from this list : "Row", "RowReverse", "Column", "ColumnReverse"',
        }, {
            name: 'justify',
            type: 'FlexJustify',
            desc: 'Sets the alignment of flex items on the main axis. Value of justify can be one from this list : "Start", "Center", "End", "SpaceAround", "SpaceBetween"',
        }, {
            name: 'align',
            type: 'FlexAlign',
            desc: 'Sets the alignment of flex items on the cross axis. Value of align can be one from this list : "Start", "Center", "End", "Stretch"',
        }, {
            name: 'children',
            type: 'React.ReactNode',
            desc: 'The child elements to render in the flexbox.',
        }, {
            name: 'style',
            type: 'React.CSSProperties',
            desc: 'To display the styling.',
        }, {
            name: 'theme',
            type: 'any',
            desc: 'Theme to be injected via css-themr.',
        },
    ],
    exampleCode: FlexBoxExampleFirstCode,
    exampleComponent: FlexBoxExampleFirst_1.default,
    exampleCodeHeader: '1. Basic FlexBox:',
    exampleCodeDescription: '',
    exampleCode1: FlexBoxExampleSecondCode,
    exampleComponent1: FlexBoxExampleSecond_1.default,
    exampleCodeHeader1: '2. Inline FlexBox:',
    exampleCodeDescription1: 'Use to show flexbox with inline child elements.',
    exampleCode2: FlexBoxExampleThirdCode,
    exampleComponent2: FlexBoxExampleThird_1.default,
    exampleCodeHeader2: '3. Row FlexBox:',
    exampleCodeDescription2: 'Use to show flexbox with end justified and center aligned.',
    exampleCode3: FlexBoxExampleFourthCode,
    exampleComponent3: FlexBoxExampleFourth_1.default,
    exampleCodeHeader3: '4. Row Reverse FlexBox:',
    exampleCodeDescription3: 'Use to show flexbox with space-around justified and stretch aligned.',
    exampleCode4: FlexBoxExampleFifthCode,
    exampleComponent4: FlexBoxExampleFifth_1.default,
    exampleCodeHeader4: '5. Row Reverse FlexBox:',
    exampleCodeDescription4: 'Use to show flexbox with space-between justified and end aligned.',
    exampleCode5: FlexBoxExampleSixthCode,
    exampleComponent5: FlexBoxExampleSixth_1.default,
    exampleCodeHeader5: '6. Column FlexBox:',
    exampleCodeDescription5: 'Use to show flexbox with center justified and start aligned.',
    exampleCode6: FlexBoxExampleSeventhCode,
    exampleComponent6: FlexBoxExampleSeventh_1.default,
    exampleCodeHeader6: '7. Column FlexBox:',
    exampleCodeDescription6: 'Use to show flexbox with start justified and center aligned.',
    exampleCode7: FlexBoxExampleEighthCode,
    exampleComponent7: FlexBoxExampleEighth_1.default,
    exampleCodeHeader7: '8. Column FlexBox:',
    exampleCodeDescription7: 'Use to show flexbox with end justified and end aligned.',
    exampleCode8: FlexBoxExampleNinthCode,
    exampleComponent8: FlexBoxExampleNinth_1.default,
    exampleCodeHeader8: '9. Column Reverse FlexBox:',
    exampleCodeDescription8: 'Use to show flexbox with space-around justified and center aligned.',
    exampleCode9: FlexBoxExampleTenthCode,
    exampleComponent9: FlexBoxExampleTenth_1.default,
    exampleCodeHeader9: '10. Column Reverse FlexBox:',
    exampleCodeDescription9: 'Use to show flexbox with space-between justified and start aligned.',
};
exports.default = FlexBoxState;
