"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const FormLayoutExampleFirst_1 = require("../../examples/FormLayoutExample/FormLayoutExampleFirst");
const FormLayoutExampleSecond_1 = require("../../examples/FormLayoutExample/FormLayoutExampleSecond");
const FormLayoutExampleThird_1 = require("../../examples/FormLayoutExample/FormLayoutExampleThird");
const FormLayoutExampleFirstCode = require('!raw-loader!../../examples/FormLayoutExample/FormLayoutExampleFirst');
const FormLayoutExampleSecondCode = require('!raw-loader!../../examples/FormLayoutExample/FormLayoutExampleSecond');
const FormLayoutExampleThirdCode = require('!raw-loader!../../examples/FormLayoutExample/FormLayoutExampleThird');
const FormLayoutState = {
    id: 'FormLayout',
    heading: 'FormLayout Component',
    subheading: `A FormLayout displays multiple related actions in a row to help with horizontal
              arrangement and the spacing of calls to action.`,
    property: [
        {
            name: 'children',
            type: 'React.ReactNode',
            desc: 'The content to display inside the formlayout',
        }, {
            name: 'style',
            type: 'React.CSSProperties',
            desc: 'Set the style via css',
        }, {
            name: 'theme',
            type: 'any',
            desc: 'Theme to be injected via css-themr',
        },
    ],
    exampleCode: FormLayoutExampleFirstCode,
    exampleComponent: FormLayoutExampleFirst_1.default,
    exampleCodeHeader: '1. Default FormLayout:',
    exampleCodeDescription: 'Use to stack form fields vertically, which makes them easier to scan and complete.',
    exampleCode1: FormLayoutExampleSecondCode,
    exampleComponent1: FormLayoutExampleSecond_1.default,
    exampleCodeHeader1: '2. FormLayout with Field Group:',
    exampleCodeDescription1: 'Use field groups to arrange multiple fields in a row.',
    exampleCode2: FormLayoutExampleThirdCode,
    exampleComponent2: FormLayoutExampleThird_1.default,
    exampleCodeHeader2: '3. Condensed Field Group:',
    exampleCodeDescription2: 'For very short inputs, the width of the inputs may be reduced in order to fit more fields in the row.',
};
exports.default = FormLayoutState;
