"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const PopoverExampleFirst_1 = require("../../examples/PopoverExample/PopoverExampleFirst");
const PopoverExampleSecond_1 = require("../../examples/PopoverExample/PopoverExampleSecond");
const PopoverExampleThird_1 = require("../../examples/PopoverExample/PopoverExampleThird");
const PopoverExampleFirstCode = require('!raw-loader!../../examples/PopoverExample/PopoverExampleFirst');
const PopoverExampleSecondCode = require('!raw-loader!../../examples/PopoverExample/PopoverExampleSecond');
const PopoverExampleThirdCode = require('!raw-loader!../../examples/PopoverExample/PopoverExampleThird');
const PopoverState = {
    id: 'popover',
    heading: 'Popover Component',
    subheading: `Popovers are small overlays that open on demand, usually when the merchant clicks a button. They let users access supplementary content and actions without cluttering the page.`,
    property: [
        {
            name: 'children',
            type: 'React.ReactNode',
            desc: 'The content to display inside the popover.',
        }, {
            name: 'preferredPosition',
            type: 'enum',
            desc: 'The preferred direction to open the popover. Availablee options: above | below | mostSpace',
        }, {
            name: 'active',
            type: 'boolean',
            desc: 'Show or hide the Popover.',
        }, {
            name: 'activator',
            type: 'React.ReactElement',
            desc: 'The element to activate the Popover.',
        }, {
            name: 'activatorWrapper',
            type: 'string',
            desc: 'The element type to wrap the activator with.',
        }, {
            name: 'preventAutofocus',
            type: 'boolean',
            desc: 'Prevent automatic focus of the first field on activation.',
        }, {
            name: 'sectioned',
            type: 'boolean',
            desc: 'Automatically add wrap content in a section.',
        }, {
            name: 'onClose',
            type: 'function (source: CloseSource [ Click, EscapeKeypress, FocusOut, ScrollOut ] )',
            desc: 'Callback when popover is closed.',
        },
    ],
    exampleCode: PopoverExampleFirstCode,
    exampleComponent: PopoverExampleFirst_1.default,
    exampleCodeHeader: '1. Popover with ActionList:',
    exampleCodeDescription: 'Use when presenting a set of actions in a disclosable menu.',
    exampleCode1: PopoverExampleSecondCode,
    exampleComponent1: PopoverExampleSecond_1.default,
    exampleCodeHeader1: '2. Popover with Content and Actions:',
    exampleCodeDescription1: 'Use to present a combination of content, instructions, and actions is a panel for tasks that are of low or secondary importance to the current page. When used this way, popovers provide useful entry points to related features without overwhelming users.',
    exampleCode2: PopoverExampleThirdCode,
    exampleComponent2: PopoverExampleThird_1.default,
    exampleCodeHeader2: '2. Popover with Form Components:',
    exampleCodeDescription2: 'Use to present secondary input tasks on demand.',
};
exports.default = PopoverState;
