"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ScrollableExampleFirst_1 = require("../../examples/ScrollableExample/ScrollableExampleFirst");
const ScrollableExampleSecond_1 = require("../../examples/ScrollableExample/ScrollableExampleSecond");
const ScrollableExampleFirstCode = require('!raw-loader!../../examples/ScrollableExample/ScrollableExampleFirst');
const ScrollableExampleSecondCode = require('!raw-loader!../../examples/ScrollableExample/ScrollableExampleSecond');
const ScrollableState = {
    id: 'Scrollable',
    heading: 'Scrollable Component',
    subheading: `The scrollable component is a container for long form content, such as terms of service, that allows for scrolling so users can expose more text as they read.`,
    property: [
        {
            name: 'children',
            type: 'React.ReactNode',
            desc: 'Content to display in scrollable area.',
        }, {
            name: 'vertical',
            type: 'boolean',
            desc: 'Scroll content vertically.',
        }, {
            name: 'horizontal',
            type: 'boolean',
            desc: 'Scroll content horizontally.',
        }, {
            name: 'shadow',
            type: 'boolean',
            desc: 'Add a shadow when content is scrollable.',
        }, {
            name: 'theme',
            type: 'any',
            desc: 'Theme to be injected via css-themr.',
        },
    ],
    exampleCode: ScrollableExampleFirstCode,
    exampleComponent: ScrollableExampleFirst_1.default,
    exampleCodeHeader: '1. Default Scrollable Container:',
    exampleCodeDescription: 'Use for the display scrollable containder.',
    exampleCode1: ScrollableExampleSecondCode,
    exampleComponent1: ScrollableExampleSecond_1.default,
    exampleCodeHeader1: '2. Scrollable Container with prop:',
    exampleCodeDescription1: 'Use for the display scrollable container with prop.',
};
exports.default = ScrollableState;
