"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const StackExample_1 = require("../../examples/StackExample/StackExample");
const StackExample1_1 = require("../../examples/StackExample/StackExample1");
const StackExample2_1 = require("../../examples/StackExample/StackExample2");
const StackExample3_1 = require("../../examples/StackExample/StackExample3");
const StackExample4_1 = require("../../examples/StackExample/StackExample4");
const StackExample5_1 = require("../../examples/StackExample/StackExample5");
const StackExampleCode = require('!raw-loader!../../examples/StackExample/StackExample');
const StackExample1Code = require('!raw-loader!../../examples/StackExample/StackExample1');
const StackExample2Code = require('!raw-loader!../../examples/StackExample/StackExample2');
const StackExample3Code = require('!raw-loader!../../examples/StackExample/StackExample3');
const StackExample4Code = require('!raw-loader!../../examples/StackExample/StackExample4');
const StackExample5Code = require('!raw-loader!../../examples/StackExample/StackExample5');
const StackState = {
    id: 'stack',
    heading: 'Stack',
    subheading: `Used to layout a horizontal row of components or to achieve no-fuss vertical centering. A stack is made of flexible items that wrap each of the stack’s children. Options provide control of the spacing and relative size of the items in the stack.`,
    property: [
        {
            name: 'children',
            type: 'any',
            desc: 'Elements to display inside stack.',
        }, {
            name: 'vertical',
            type: 'boolean',
            desc: 'Stack the elements vertically.',
        }, {
            name: 'spacing',
            type: 'enum',
            desc: 'Adjust spacing between elements. Available options: extraTight | tight | loose | extraLoose | none',
        }, {
            name: 'alignment',
            type: 'enum',
            desc: 'Adjust vertical alignment of elements.Available options: leading | trailing | center | fill | baseline',
        }, {
            name: 'distribution',
            type: 'enum',
            desc: 'Adjust horizontal alignment of elements. Available options: equalSpacing | eading | trailing | center | fill | fillEvenly',
        }, {
            name: 'theme',
            type: 'any',
            desc: 'Theme to be injected via css-themr.',
        },
    ],
    exampleCodeHeader: 'Example 1: Default Stack',
    exampleCodeDescription: 'Use to quickly lay out a horizontal row of components and maintain their relative sizes. On small screens, children rows wrap down to additional rows as needed.',
    exampleCode: StackExampleCode,
    exampleComponent: StackExample_1.default,
    exampleCodeHeader1: 'Example 2: Stack with Spacing option',
    exampleCodeDescription1: 'Use to control spacing of items in a stack in standard increments. Use tight for less spacing, loose for more spacing, or none to remove normal spacing altogether',
    exampleCode1: StackExample1Code,
    exampleComponent1: StackExample1_1.default,
    exampleCodeHeader2: 'Example 3: Stack with Alignment as center',
    exampleCodeDescription2: 'Use to vertically center a set of items.',
    exampleCode2: StackExample2Code,
    exampleComponent2: StackExample2_1.default,
    exampleCodeHeader3: 'Example 4: Stack with Distribution as equalSpacing',
    exampleCodeDescription3: 'Use to have the stack’s items with equalSpacing in the container and maintain their relative proportions.',
    exampleCode3: StackExample3Code,
    exampleComponent3: StackExample3_1.default,
    exampleCodeHeader4: 'Example 5: Stack with Vertical option',
    exampleCodeDescription4: 'Use to Stack the elements vertically',
    exampleCode4: StackExample4Code,
    exampleComponent4: StackExample4_1.default,
    exampleCodeHeader5: 'Example 6: Stack with Single Item fills the remaining Space Example',
    exampleCodeDescription5: 'Use for aligning buttons or secondary content to the right edge of another element.',
    exampleCode5: StackExample5Code,
    exampleComponent5: StackExample5_1.default,
};
exports.default = StackState;
