"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const TooltipExample_1 = require("../../examples/TooltipExample/TooltipExample");
const TooltipExample1_1 = require("../../examples/TooltipExample/TooltipExample1");
const TooltipExample2_1 = require("../../examples/TooltipExample/TooltipExample2");
const TooltipExample3_1 = require("../../examples/TooltipExample/TooltipExample3");
const TooltipExampleCode = require('!raw-loader!../../examples/TooltipExample/TooltipExample');
const TooltipExample1Code = require('!raw-loader!../../examples/TooltipExample/TooltipExample1');
const TooltipExample2Code = require('!raw-loader!../../examples/TooltipExample/TooltipExample2');
const TooltipExample3Code = require('!raw-loader!../../examples/TooltipExample/TooltipExample3');
const TooltipState = {
    id: 'tooltip',
    heading: 'Tooltip',
    subheading: `Tooltips are floating labels that briefly explain the function of a user interface element. They can be triggered when users hover, focus, tap, or click.`,
    property: [
        {
            name: 'children',
            type: 'React.ReactNode',
            desc: 'The children that activate the tooltip.',
        }, {
            name: 'content',
            type: 'string',
            desc: 'The content to display within the tooltip.',
        }, {
            name: 'active',
            type: 'boolean',
            desc: 'Toggle whether the tooltip is visible.',
        }, {
            name: 'light',
            type: 'boolean',
            desc: 'Display tooltip with a light background.',
        }, {
            name: 'preferredPosition',
            type: 'enum',
            desc: 'The direction the tooltip tries to display Availabel options: above | below | mostSpace ',
        }, {
            name: 'activatorWrapper',
            type: 'string',
            desc: 'The element type to wrap the activator in.',
        }, {
            name: 'theme',
            type: 'any',
            desc: 'Theme to be injected via css-themr.',
        },
    ],
    exampleCodeHeader: 'Example 1: Default Tooltip',
    exampleCodeDescription: 'Use only when necessary to provide an explanation for an interface element.',
    exampleCode: TooltipExampleCode,
    exampleComponent: TooltipExample_1.default,
    exampleCodeHeader1: 'Example 2: Tooltip with active property',
    exampleCodeDescription1: 'Use when users need to Show or Hide tooltip on an element.',
    exampleCode1: TooltipExample1Code,
    exampleComponent1: TooltipExample1_1.default,
    exampleCodeHeader2: 'Example 3: Tooltip with light property',
    exampleCodeDescription2: 'Use when users need to Show tooltip with light background.',
    exampleCode2: TooltipExample2Code,
    exampleComponent2: TooltipExample2_1.default,
    exampleCodeHeader3: 'Example 4: Tooltip with preferredPosition and activatorWrapper property',
    exampleCodeDescription3: 'User can set the direction the tooltip tries to display and can also render Tooltip on any other element.',
    exampleCode3: TooltipExample3Code,
    exampleComponent3: TooltipExample3_1.default,
};
exports.default = TooltipState;
