"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ValidatedTextFieldExample_1 = require("../../examples/ValidateTextFieldExample/ValidatedTextFieldExample");
const ValidatedTextFieldExampleCode = require('!raw-loader!../../examples/ValidateTextFieldExample/ValidatedTextFieldExample');
const ValidatedTextFieldState = {
    id: 'validatedtextfield',
    heading: 'Validated Text Field',
    subheading: `Use to let user know if their input is valid or if there’s an error.`,
    property: [
        {
            name: 'id',
            type: 'string',
            desc: 'Id of Validated Textfield.',
        }, {
            name: 'name',
            type: 'string',
            desc: 'Name displayed with TextField.',
        }, {
            name: 'validateTrigger',
            type: '["onBlur" | "onChange"]',
            desc: 'Action to trigger validation rules.',
        }, {
            name: 'validateRules',
            type: '[ValidationRule]',
            desc: ' Validation rules for textfield. Validation Rule : { required: boolean; message: string; } or { type: string; message: string; }.',
        },
    ],
    exampleCodeHeader: 'Example 1: Validate TextField',
    exampleCodeDescription: 'Validate input as soon as user has finished interacting with a field (but not before)',
    exampleCode: ValidatedTextFieldExampleCode,
    exampleComponent: ValidatedTextFieldExample_1.default,
};
exports.default = ValidatedTextFieldState;
