"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const VideoExample_1 = require("../../examples/VideoExample/VideoExample");
const VideoExample1_1 = require("../../examples/VideoExample/VideoExample1");
const VideoExample2_1 = require("../../examples/VideoExample/VideoExample2");
const VideoExample3_1 = require("../../examples/VideoExample/VideoExample3");
const VideoExampleCode = require('!raw-loader!../../examples/VideoExample/VideoExample');
const VideoExample1Code = require('!raw-loader!../../examples/VideoExample/VideoExample1');
const VideoExample2Code = require('!raw-loader!../../examples/VideoExample/VideoExample2');
const VideoExample3Code = require('!raw-loader!../../examples/VideoExample/VideoExample3');
const VideoState = {
    id: 'video',
    heading: 'Video',
    subheading: `Video component is used to view videos with different types and with diffrent sources(supports single source as well as multi source). The video component renders a HTML 5 video tag and applies their attributes.`,
    property: [
        {
            name: 'poster',
            type: 'URL',
            desc: 'To give Image URL for Video.',
        }, {
            name: 'src',
            type: 'VideoSource[ ] ( src: string, type: VideoType )',
            desc: 'Provide source of any video.',
        }, {
            name: 'autoplay',
            type: 'boolean',
            desc: 'To autoplay or not.',
        }, {
            name: 'controls',
            type: 'boolean',
            desc: 'See controls i.e.Play/Pause,Volume etc.',
        }, {
            name: 'crossorigin',
            type: 'enum',
            desc: 'Give cross origine to video. Availabel options: anonymous | use-credentials ',
        }, {
            name: 'loop',
            type: 'boolean',
            desc: 'If true, upon reaching the end, the video will automatically replay.',
        }, {
            name: 'muted',
            type: 'boolean',
            desc: 'To mute video or not.',
        }, {
            name: 'preload',
            type: 'enum',
            desc: 'Provide preload. Available options: none | metadata | auto',
        }, {
            name: 'theme',
            type: 'any',
            desc: 'Theme to be injected via css-themr.',
        }, {
            name: 'style',
            type: 'React.CSSProperties',
            desc: 'To provide styling.',
        },
    ],
    exampleCodeHeader: 'Example 1: Default Video',
    exampleCodeDescription: 'Use when user need to use the Video component without any controls',
    exampleCode: VideoExampleCode,
    exampleComponent: VideoExample_1.default,
    exampleCodeHeader1: 'Example 2: Video with Controls',
    exampleCodeDescription1: 'Use when user need to use the Video component with controls.',
    exampleCode1: VideoExample1Code,
    exampleComponent1: VideoExample1_1.default,
    exampleCodeHeader2: 'Example 3: Video with Multi Source',
    exampleCodeDescription2: 'Use when user need to use the Video component with multiple source.',
    exampleCode2: VideoExample2Code,
    exampleComponent2: VideoExample2_1.default,
    exampleCodeHeader3: 'Example 4: Video with all properties',
    exampleCodeDescription3: 'Use this when user need the Video component with all the properties.',
    exampleCode3: VideoExample3Code,
    exampleComponent3: VideoExample3_1.default,
};
exports.default = VideoState;
