"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const redux_1 = require("redux");
const redux_immutable_state_invariant_1 = require("redux-immutable-state-invariant");
const redux_thunk_1 = require("redux-thunk");
const reducers_1 = require("../reducers");
const InitialState_1 = require("../reducers/InitialState");
function configureStoreProd() {
    const middlewares = [
        redux_thunk_1.default,
    ];
    return redux_1.createStore(reducers_1.default, InitialState_1.default, redux_1.compose(redux_1.applyMiddleware(...middlewares)));
}
function configureStoreDev() {
    const middlewares = [
        // Redux middleware that spits an error on you when you try to mutate your state either inside a dispatch or between dispatches.
        redux_immutable_state_invariant_1.default(),
        redux_thunk_1.default,
    ];
    const composeEnhancers = window.__REDUX_DEVTOOLS_EXTENSION_COMPOSE__ || redux_1.compose; // add support for Redux dev tools
    const store = redux_1.createStore(reducers_1.default, InitialState_1.default, composeEnhancers(redux_1.applyMiddleware(...middlewares)));
    if (module.hot) {
        // Enable Webpack hot module replacement for reducers
        module.hot.accept('../reducers', () => {
            const nextReducer = require('../reducers').default; // eslint-disable-line global-require
            store.replaceReducer(nextReducer);
        });
    }
    return store;
}
const configureStore = process.env.NODE_ENV === 'production' ? configureStoreProd : configureStoreDev;
exports.default = configureStore;
