"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_css_themr_1 = require("react-css-themr");
const styles_1 = require("@shopify/react-utilities/styles");
const components_1 = require("@shopify/react-utilities/components");
// import {Props as ButtonProps} from '../Button';
const Item_1 = require("./Item");
const ThemeIdentifiers_1 = require("../ThemeIdentifiers");
const baseTheme = require("./ButtonGroup.scss");
const buttonGroup = ({ children, segmented, theme, }) => {
    const className = styles_1.classNames(theme.buttonGroup, segmented && theme.segmented);
    const contents = components_1.elementChildren(children)
        .map((child, index) => React.createElement(Item_1.default, { button: child, key: index }));
    return React.createElement("div", { className: className }, contents);
};
exports.default = react_css_themr_1.themr(ThemeIdentifiers_1.BUTTON_GROUP, baseTheme)(buttonGroup);
