"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const React = require("react");
const react_css_themr_1 = require("react-css-themr");
const autobind_1 = require("@shopify/javascript-utilities/autobind");
const styles_1 = require("@shopify/react-utilities/styles");
const ThemeIdentifiers_1 = require("../ThemeIdentifiers");
const baseTheme = require("./ButtonGroup.scss");
class Item extends React.PureComponent {
    constructor() {
        super(...arguments);
        this.state = { focused: false };
    }
    render() {
        const { button, theme } = this.props;
        const { focused } = this.state;
        const className = styles_1.classNames(theme.item, focused && theme['Item-focused'], button.props.plain && theme['Item-plain']);
        return (React.createElement("div", { className: className, onFocus: this.handleFocus, onBlur: this.handleBlur }, button));
    }
    handleFocus() {
        this.setState({ focused: true });
    }
    handleBlur() {
        this.setState({ focused: false });
    }
}
tslib_1.__decorate([
    autobind_1.default
], Item.prototype, "handleFocus", null);
tslib_1.__decorate([
    autobind_1.default
], Item.prototype, "handleBlur", null);
exports.default = react_css_themr_1.themr(ThemeIdentifiers_1.BUTTON_GROUP, baseTheme)(Item);
