"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_css_themr_1 = require("react-css-themr");
const Button_1 = require("../Button");
const ButtonGroup_1 = require("../ButtonGroup");
const Stack_1 = require("../Stack");
const Heading_1 = require("../Heading");
const ThemeIdentifiers_1 = require("../ThemeIdentifiers");
const baseTheme = require("./Card.scss");
const header = ({ children, actions, theme }) => {
    const actionMarkup = actions
        ? (React.createElement(ButtonGroup_1.default, null, Button_1.buttonsFrom(actions, { plain: true })))
        : null;
    const headingMarkup = actionMarkup
        ? (React.createElement(Stack_1.default, { alignment: "baseline" },
            React.createElement(Stack_1.Item, { fill: true },
                React.createElement(Heading_1.default, null, children)),
            actionMarkup))
        : React.createElement(Heading_1.default, null, children);
    return (React.createElement("div", { className: theme.header }, headingMarkup));
};
exports.default = react_css_themr_1.themr(ThemeIdentifiers_1.CARD, baseTheme)(header);
