"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_css_themr_1 = require("react-css-themr");
const styles_1 = require("@shopify/react-utilities/styles");
const Subheading_1 = require("../Subheading");
const ThemeIdentifiers_1 = require("../ThemeIdentifiers");
const baseTheme = require("./Card.scss");
const section = ({ children, title, subdued, theme }) => {
    const headerContent = title
        ? (React.createElement("div", { className: theme.sectionHeader },
            React.createElement(Subheading_1.default, null, title)))
        : null;
    const className = styles_1.classNames(theme.section, subdued && theme['section-subdued']);
    return (React.createElement("div", { className: className },
        headerContent,
        children));
};
exports.default = react_css_themr_1.themr(ThemeIdentifiers_1.CARD, baseTheme)(section);
