"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_css_themr_1 = require("react-css-themr");
const styles_1 = require("@shopify/react-utilities/styles");
const ThemeIdentifiers_1 = require("../ThemeIdentifiers");
const baseTheme = require("./Chip.scss");
class Chip extends React.PureComponent {
    constructor() {
        super(...arguments);
        this.onKeyDown = (item, e) => {
            if (e.keyCode === 8 || e.keyCode === 46) {
                return this.props.onRemove ? this.props.onRemove(item) : null;
            }
        };
    }
    render() {
        const { clickable, removable, image, transparent, theme, onRemove, onClick, children, } = this.props;
        const className = styles_1.classNames(theme.Chip, transparent && theme.transparent);
        const chipContents = [(image
                ?
                    React.createElement("img", { className: theme.Image, src: image.url, alt: image.alt, key: "1", "aria-hidden": true })
                : ''),
            React.createElement("span", { key: "2" }, children),
        ];
        const isClickable = clickable ?
            React.createElement("a", { onClick: onClick, "aria-disabled": false }, chipContents)
            : chipContents;
        const isRemovable = removable ?
            React.createElement("a", { className: theme.Remove, "aria-label": 'Remove ' + children, onClick: onRemove, tabIndex: -1 },
                React.createElement("span", { "aria-hidden": "true" }, "\u00D7"))
            : '';
        return (React.createElement("span", { onKeyDown: removable ? this.onKeyDown.bind(this, Event) : null }, React.createElement('button', { className }, isClickable, isRemovable)));
    }
}
exports.default = react_css_themr_1.themr(ThemeIdentifiers_1.CHIP, baseTheme)(Chip);
