"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const enzyme_1 = require("enzyme");
const Choice_1 = require("../Choice");
describe('<Choice />', () => {
    it('uses the id as the for attribute of a label', () => {
        const element = enzyme_1.mount(React.createElement(Choice_1.default, { id: "MyChoice", label: "Label" }));
        const label = element.find('label');
        expect(label.prop('htmlFor')).toBe('MyChoice');
        expect(label.text()).toBe('Label');
    });
    // We want the entire choice to be clickable, including the space
    // between the choice and the visual appearance of the label.
    it('renders the content as a child of the label', () => {
        const MYCOMPONENT = () => {
            return (React.createElement("div", null));
        };
        const element = enzyme_1.mount(React.createElement(Choice_1.default, { id: "MyChoice", label: "Label" },
            React.createElement(MYCOMPONENT, null)));
        const label = element.find('label');
        expect(label.containsMatchingElement(React.createElement(MYCOMPONENT, null))).toBe(true);
    });
});
