"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_css_themr_1 = require("react-css-themr");
const Popover_1 = require("../Popover/Popover");
const ThemeIdentifiers_1 = require("../ThemeIdentifiers");
const baseTheme = require("./ClickableChip.scss");
class ClickableChip extends React.PureComponent {
    constructor(props) {
        super(props);
        this.onClose = () => { };
        this.handleClick = () => {
            this.setState({ ['active']: !this.state.active });
        };
        this.state = {
            active: false,
        };
    }
    render() {
        const { chip, onClick = this.handleClick, } = this.props;
        const updatedChip = React.cloneElement(chip, { onClick, clickable: true });
        return (React.createElement(Popover_1.default, { active: this.state.active, activator: updatedChip, onClose: this.onClose }, this.props.children));
    }
}
exports.default = react_css_themr_1.themr(ThemeIdentifiers_1.CLICKABLECHIP, baseTheme)(ClickableChip);
