"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_css_themr_1 = require("react-css-themr");
const react_utilities_1 = require("@shopify/react-utilities");
const ThemeIdentifiers_1 = require("../ThemeIdentifiers");
const baseTheme = require("./Column.scss");
class Column extends React.PureComponent {
    constructor() {
        super(...arguments);
        this.getClassName = (resWidth, resType) => {
            const columnClassPrefix = `column-width-${resType === 'extraLarge' ? 'xlarge' : resType}-`;
            return this.props.theme[columnClassPrefix + resWidth];
        };
    }
    render() {
        let className = '';
        if (this.props.small) {
            className = react_utilities_1.classNames(this.getClassName(this.props.small, 'small'), className);
        }
        if (this.props.medium) {
            className = react_utilities_1.classNames(this.getClassName(this.props.medium, 'medium'), className);
        }
        if (this.props.large) {
            className = react_utilities_1.classNames(this.getClassName(this.props.large, 'large'), className);
        }
        if (this.props.extraLarge) {
            className = react_utilities_1.classNames(this.getClassName(this.props.extraLarge, 'extraLarge'), className);
        }
        return (React.createElement("div", { className: className, style: this.props.style }, this.props.children));
    }
}
exports.default = react_css_themr_1.themr(ThemeIdentifiers_1.COLUMN, baseTheme)(Column);
