"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_css_themr_1 = require("react-css-themr");
const ThemeIdentifiers_1 = require("../ThemeIdentifiers");
const Item_1 = require("./Item");
const baseTheme = require("./Connected.scss");
const connected = ({ children, left, right, style, theme, }) => {
    if (left == null && right == null) {
        return React.Children.only(children);
    }
    const leftConnectionMarkup = left
        ? React.createElement(Item_1.default, { position: Item_1.Position.Left }, left)
        : null;
    const rightConnectionMarkup = right
        ? React.createElement(Item_1.default, { position: Item_1.Position.Right }, right)
        : null;
    return (React.createElement("div", { className: theme.connected, style: style },
        leftConnectionMarkup,
        React.createElement(Item_1.default, { position: Item_1.Position.Primary }, children),
        rightConnectionMarkup));
};
exports.default = react_css_themr_1.themr(ThemeIdentifiers_1.CONNECTED, baseTheme)(connected);
