"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const React = require("react");
const autobind_1 = require("@shopify/javascript-utilities/autobind");
const styles_1 = require("@shopify/react-utilities/styles");
const styles = require("./Connected.scss");
var Position;
(function (Position) {
    Position[Position["Left"] = 0] = "Left";
    Position[Position["Primary"] = 1] = "Primary";
    Position[Position["Right"] = 2] = "Right";
})(Position = exports.Position || (exports.Position = {}));
class Item extends React.PureComponent {
    constructor() {
        super(...arguments);
        this.state = { focused: false };
    }
    render() {
        const { focused } = this.state;
        const { children, position } = this.props;
        const className = styles_1.classNames(styles.item, focused && styles['item-focused'], position === Position.Primary ? styles['item-primary'] : styles['item-connection']);
        return (React.createElement("div", { onBlur: this.handleBlur, onFocus: this.handleFocus, className: className }, children));
    }
    handleBlur() {
        this.setState({ focused: false });
    }
    handleFocus() {
        this.setState({ focused: true });
    }
}
tslib_1.__decorate([
    autobind_1.default
], Item.prototype, "handleBlur", null);
tslib_1.__decorate([
    autobind_1.default
], Item.prototype, "handleFocus", null);
exports.default = Item;
