"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const prop_types_1 = require("prop-types");
// TODO: add to propTypes; semver-major
const consolidated_events_1 = require("consolidated-events");
const propTypes = {
    children: prop_types_1.default.node,
    onOutsideClick: prop_types_1.default.func,
};
const defaultProps = {
    children: react_1.default.createElement("span", null),
    onOutsideClick() { },
};
class OutsideClickHandler extends react_1.default.Component {
    constructor(props) {
        super(props);
        this.onOutsideClick = this.onOutsideClick.bind(this);
    }
    componentDidMount() {
        // `capture` flag is set to true so that a `stopPropagation` in the children
        // will not prevent all outside click handlers from firing - maja
        this.clickHandle = consolidated_events_1.addEventListener(document, 'click', this.onOutsideClick, { capture: true });
    }
    componentWillUnmount() {
        if (this.clickHandle)
            consolidated_events_1.removeEventListener(this.clickHandle);
    }
    onOutsideClick(e) {
        const isDescendantOfRoot = this.childNode.contains(e.target);
        if (!isDescendantOfRoot) {
            this.props.onOutsideClick(e);
        }
    }
    render() {
        return (react_1.default.createElement("div", { ref: (ref) => { this.childNode = ref; } }, this.props.children));
    }
}
exports.default = OutsideClickHandler;
OutsideClickHandler.propTypes = propTypes;
OutsideClickHandler.defaultProps = defaultProps;
