"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const prop_types_1 = require("prop-types");
const react_moment_proptypes_1 = require("react-moment-proptypes");
const airbnb_prop_types_1 = require("airbnb-prop-types");
const defaultPhrases_1 = require("../defaultPhrases");
const getPhrasePropTypes_1 = require("../utils/getPhrasePropTypes");
const FocusedInputShape_1 = require("../shapes/FocusedInputShape");
const OrientationShape_1 = require("../shapes/OrientationShape");
const AnchorDirectionShape_1 = require("../shapes/AnchorDirectionShape");
const DayOfWeekShape_1 = require("../shapes/DayOfWeekShape");
exports.default = {
    // required props for a functional interactive DateRangePicker
    startDate: react_moment_proptypes_1.default.momentObj,
    endDate: react_moment_proptypes_1.default.momentObj,
    onDatesChange: prop_types_1.default.func.isRequired,
    focusedInput: FocusedInputShape_1.default,
    onFocusChange: prop_types_1.default.func.isRequired,
    onClose: prop_types_1.default.func,
    // input related props
    startDateId: prop_types_1.default.string.isRequired,
    startDatePlaceholderText: prop_types_1.default.string,
    endDateId: prop_types_1.default.string.isRequired,
    endDatePlaceholderText: prop_types_1.default.string,
    disabled: prop_types_1.default.bool,
    required: prop_types_1.default.bool,
    readOnly: prop_types_1.default.bool,
    screenReaderInputMessage: prop_types_1.default.string,
    showClearDates: prop_types_1.default.bool,
    showDefaultInputIcon: prop_types_1.default.bool,
    customInputIcon: prop_types_1.default.node,
    customArrowIcon: prop_types_1.default.node,
    customCloseIcon: prop_types_1.default.node,
    // calendar presentation and interaction related props
    renderMonth: prop_types_1.default.func,
    orientation: OrientationShape_1.default,
    anchorDirection: AnchorDirectionShape_1.default,
    horizontalMargin: prop_types_1.default.number,
    withPortal: prop_types_1.default.bool,
    withFullScreenPortal: prop_types_1.default.bool,
    daySize: airbnb_prop_types_1.nonNegativeInteger,
    isRTL: prop_types_1.default.bool,
    firstDayOfWeek: DayOfWeekShape_1.default,
    initialVisibleMonth: prop_types_1.default.func,
    numberOfMonths: prop_types_1.default.number,
    keepOpenOnDateSelect: prop_types_1.default.bool,
    reopenPickerOnClearDates: prop_types_1.default.bool,
    renderCalendarInfo: prop_types_1.default.func,
    hideKeyboardShortcutsPanel: prop_types_1.default.bool,
    // navigation related props
    navPrev: prop_types_1.default.node,
    navNext: prop_types_1.default.node,
    onPrevMonthClick: prop_types_1.default.func,
    onNextMonthClick: prop_types_1.default.func,
    // day presentation and interaction related props
    renderDay: prop_types_1.default.func,
    minimumNights: prop_types_1.default.number,
    enableOutsideDays: prop_types_1.default.bool,
    isDayBlocked: prop_types_1.default.func,
    isOutsideRange: prop_types_1.default.func,
    isDayHighlighted: prop_types_1.default.func,
    // internationalization props
    displayFormat: prop_types_1.default.oneOfType([prop_types_1.default.string, prop_types_1.default.func]),
    monthFormat: prop_types_1.default.string,
    phrases: prop_types_1.default.shape(getPhrasePropTypes_1.default(defaultPhrases_1.DateRangePickerPhrases)),
    theme: prop_types_1.default.any,
};
