"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const isBeforeDay_1 = require("./isBeforeDay");
const isAfterDay_1 = require("./isAfterDay");
function isDayVisible(day, month, numberOfMonths, enableOutsideDays) {
    let firstDayOfFirstMonth = month.clone().startOf('month');
    if (enableOutsideDays)
        firstDayOfFirstMonth = firstDayOfFirstMonth.startOf('week');
    if (isBeforeDay_1.default(day, firstDayOfFirstMonth))
        return false;
    let lastDayOfLastMonth = month.clone().add(numberOfMonths - 1, 'months').endOf('month');
    if (enableOutsideDays)
        lastDayOfLastMonth = lastDayOfLastMonth.endOf('week');
    return !isAfterDay_1.default(day, lastDayOfLastMonth);
}
exports.default = isDayVisible;
