"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const moment_1 = require("moment");
function isSameDay(a, b) {
    if (!moment_1.default.isMoment(a) || !moment_1.default.isMoment(b))
        return false;
    // Compare least significant, most likely to change units first
    // Moment's isSame clones moment inputs and is a tad slow
    return a.date() === b.date() &&
        a.month() === b.month() &&
        a.year() === b.year();
}
exports.default = isSameDay;
