"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_css_themr_1 = require("react-css-themr");
const styles_1 = require("@shopify/react-utilities/styles");
const ThemeIdentifiers_1 = require("../ThemeIdentifiers");
const baseTheme = require("./DisplayText.scss");
const displayText = ({ children, theme, size = 'medium', element: ELEMENT = 'p', }) => {
    const className = styles_1.classNames(theme.displayText, size && theme[styles_1.variationName('size', size)]);
    return React.createElement(ELEMENT, { className: className }, children);
};
exports.default = react_css_themr_1.themr(ThemeIdentifiers_1.DISPLAY_TEXT, baseTheme)(displayText);
