"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const events_1 = require("@shopify/javascript-utilities/events");
// see https://github.com/oliviertassinari/react-event-listener/
class EventListener extends React.PureComponent {
    componentDidMount() {
        this.attachListener();
    }
    componentWillUpdate() {
        this.detachListener();
    }
    componentDidUpdate() {
        this.attachListener();
    }
    componentWillUnmount() {
        this.detachListener();
    }
    // tslint:disable-next-line prefer-function-over-method
    render() {
        return null;
    }
    attachListener() {
        const { event, handler, capture, passive } = this.props;
        events_1.addEventListener(window, event, handler, { capture, passive });
    }
    detachListener() {
        const { event, handler, capture } = this.props;
        events_1.removeEventListener(window, event, handler, capture);
    }
}
exports.default = EventListener;
