"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_css_themr_1 = require("react-css-themr");
const react_utilities_1 = require("@shopify/react-utilities");
const ThemeIdentifiers_1 = require("../ThemeIdentifiers");
const baseTheme = require("./FlexBox.scss");
class FlexBox extends React.PureComponent {
    render() {
        const { inline, direction, justify, align, } = this.props;
        let className = inline ? this.props.theme.inline : this.props.theme.flex;
        // set direction property css
        switch (direction) {
            case 'Column':
                className = react_utilities_1.classNames(this.props.theme.column, className);
                break;
            case 'RowReverse':
                className = react_utilities_1.classNames(this.props.theme.rowReverse, className);
                break;
            case 'ColumnReverse':
                className = react_utilities_1.classNames(this.props.theme.columnReverse, className);
                break;
            case 'Row':
            default:
                className = react_utilities_1.classNames(this.props.theme.row, className);
                break;
        }
        // set justify property css
        switch (justify) {
            case 'End':
                className = react_utilities_1.classNames(this.props.theme.contentEnd, className);
                break;
            case 'Center':
                className = react_utilities_1.classNames(this.props.theme.contentCenter, className);
                break;
            case 'SpaceAround':
                className = react_utilities_1.classNames(this.props.theme.contentAround, className);
                break;
            case 'SpaceBetween':
                className = react_utilities_1.classNames(this.props.theme.contentBetween, className);
                break;
            case 'Start':
            default:
                className = react_utilities_1.classNames(this.props.theme.contentStart, className);
                break;
        }
        // set align property css
        switch (align) {
            case 'Start':
                className = react_utilities_1.classNames(this.props.theme.alignStart, className);
                break;
            case 'End':
                className = react_utilities_1.classNames(this.props.theme.alignEnd, className);
                break;
            case 'Center':
                className = react_utilities_1.classNames(this.props.theme.alignCenter, className);
                break;
            case 'Stretch':
            default:
                className = react_utilities_1.classNames(this.props.theme.alignStretch, className);
                break;
        }
        return (React.createElement("div", { className: className, style: this.props.style }, this.props.children));
    }
}
exports.default = react_css_themr_1.themr(ThemeIdentifiers_1.FLEXBOX, baseTheme)(FlexBox);
