"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const React = require("react");
const react_css_themr_1 = require("react-css-themr");
const utilities_1 = require("../../utilities");
const Group_1 = require("./Group");
const Item_1 = require("./Item");
const ThemeIdentifiers_1 = require("../ThemeIdentifiers");
const baseTheme = require("./FormLayout.scss");
class FormLayout extends React.PureComponent {
    render() {
        const _a = this.props, { children, style, theme } = _a, otherProps = tslib_1.__rest(_a, ["children", "style", "theme"]);
        return (React.createElement("div", { className: theme.formLayout, style: style }, React.Children.map(children, (child, index) => {
            return wrapChildren(child, index, otherProps);
        })));
    }
}
FormLayout.Group = Group_1.default;
function wrapChildren(child, index, props) {
    if (utilities_1.isElementOfType(child, Group_1.default)) {
        return child;
    }
    return utilities_1.wrapWithComponent(child, Item_1.default, Object.assign({ key: index }, props));
}
exports.default = react_css_themr_1.themr(ThemeIdentifiers_1.FORM_LAYOUT, baseTheme)(FormLayout);
