"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_css_themr_1 = require("react-css-themr");
const other_1 = require("@shopify/javascript-utilities/other");
const styles_1 = require("@shopify/react-utilities/styles");
const utilities_1 = require("../../utilities");
const ThemeIdentifiers_1 = require("../ThemeIdentifiers");
const Item_1 = require("./Item");
const baseTheme = require("./FormLayout.scss");
const getUniqueID = other_1.createUniqueIDFactory('FormLayoutGroup');
class Group extends React.Component {
    render() {
        const { children, condensed, title, helpText, style, theme } = this.props;
        const className = styles_1.classNames(condensed && theme.condensed);
        const id = getUniqueID();
        let helpTextElement = null;
        let helpTextID;
        let titleElement = null;
        let titleID;
        if (helpText) {
            helpTextID = `${id}HelpText`;
            helpTextElement = React.createElement("div", { id: helpTextID, className: theme.helpText }, helpText);
        }
        if (title) {
            titleID = `${id}Title`;
            titleElement = React.createElement("div", { id: titleID, className: theme.title }, title);
        }
        const itemsMarkup = React.Children.map(children, child => utilities_1.wrapWithComponent(child, Item_1.default));
        return (React.createElement("div", { role: "group", className: className, "aria-labelledby": titleID, "aria-describedby": helpTextID, style: style },
            titleElement,
            React.createElement("div", { className: theme.items }, itemsMarkup),
            helpTextElement));
    }
}
exports.default = react_css_themr_1.themr(ThemeIdentifiers_1.FORM_LAYOUT, baseTheme)(Group);
