"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const React = require("react");
const autobind_1 = require("@shopify/javascript-utilities/autobind");
const events_1 = require("@shopify/javascript-utilities/events");
class KeypressListener extends React.Component {
    componentDidMount() {
        events_1.addEventListener(document, 'keyup', this.handleKeyEvent);
    }
    componentWillUnmount() {
        events_1.removeEventListener(document, 'keyup', this.handleKeyEvent);
    }
    // tslint:disable-next-line prefer-function-over-method
    render() {
        return null;
    }
    handleKeyEvent(event) {
        const { keyCode, handler } = this.props;
        if (event.keyCode === keyCode) {
            handler(event);
        }
    }
}
tslib_1.__decorate([
    autobind_1.default
], KeypressListener.prototype, "handleKeyEvent", null);
exports.default = KeypressListener;
