"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_css_themr_1 = require("react-css-themr");
const styles_1 = require("@shopify/react-utilities/styles");
const Button_1 = require("../Button");
const ThemeIdentifiers_1 = require("../ThemeIdentifiers");
const baseTheme = require("./Label.scss");
function labelID(id) {
    return `${id}Label`;
}
exports.labelID = labelID;
function label({ children, id, action, hidden, required, focused, hasValue, style, theme, }) {
    const className = styles_1.classNames(theme.text, hidden && theme.hidden, required && theme.required, focused && theme.focused, !hasValue && theme.empty);
    const actionMarkup = action
        ? Button_1.buttonFrom(action, { plain: true })
        : null;
    return (React.createElement("div", { className: theme.label },
        React.createElement("label", { id: labelID(id), htmlFor: id, className: className, style: style }, children),
        actionMarkup));
}
exports.default = react_css_themr_1.themr(ThemeIdentifiers_1.LABEL, baseTheme)(label);
