"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_css_themr_1 = require("react-css-themr");
const styles_1 = require("@shopify/react-utilities/styles");
const ThemeIdentifiers_1 = require("../ThemeIdentifiers");
const baseTheme = require("./List.scss");
const Item_1 = require("./Item");
class ContentList extends React.PureComponent {
    render() {
        const { children, type = 'bullet', theme } = this.props;
        const background = type === 'divider' ? baseTheme['list-divider'] : type === 'striped' ? baseTheme['list-striped'] : type === 'default' ? baseTheme['naked'] : '';
        const className = styles_1.classNames(theme.list, type && theme[styles_1.variationName('type', type)]);
        const LISTELEMENT = type === 'number' ? 'ol' : 'ul';
        return React.createElement(LISTELEMENT, { className: className + ' ' + background }, children);
    }
}
ContentList.Item = Item_1.default;
exports.default = react_css_themr_1.themr(ThemeIdentifiers_1.LIST, baseTheme)(ContentList);
