"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const enzyme_1 = require("enzyme");
const List_1 = require("../List");
describe('<List />', () => {
    it('sets the list type to ul when is a bullet list', () => {
        const list = enzyme_1.mount(React.createElement(List_1.default, { type: "bullet" }, "test"));
        expect(list.find('ul').exists()).toBeTruthy();
    });
    it('sets the list type to ul when no type is provided', () => {
        const list = enzyme_1.mount(React.createElement(List_1.default, null, "test"));
        expect(list.find('ul').exists()).toBeTruthy();
    });
    it('sets the list type to ol when is a number list', () => {
        const list = enzyme_1.mount(React.createElement(List_1.default, { type: "number" }, "test"));
        expect(list.find('ol').exists()).toBeTruthy();
    });
});
