"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_css_themr_1 = require("react-css-themr");
const Icon_1 = require("../Icon");
const VisuallyHidden_1 = require("../VisuallyHidden");
const ThemeIdentifiers_1 = require("../ThemeIdentifiers");
const baseTheme = require("./Loading.scss");
class Loading extends React.PureComponent {
    render() {
        const { style, theme, } = this.props;
        return (React.createElement("div", { style: style },
            React.createElement("span", { className: theme.loading },
                React.createElement(Icon_1.default, { source: "spinner" })),
            React.createElement(VisuallyHidden_1.default, null, "Loading...")));
    }
}
exports.default = react_css_themr_1.themr(ThemeIdentifiers_1.LOADING, baseTheme)(Loading);
