"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const constant_1 = require("./constant");
function default_1(mask, paramMaskChar, paramCharsRules) {
    let maskChar = paramMaskChar;
    let charsRules = paramCharsRules;
    if (maskChar === undefined) {
        maskChar = constant_1.defaultMaskChar;
    }
    if (charsRules == null) {
        charsRules = constant_1.defaultCharsRules;
    }
    if (!mask || typeof mask !== 'string') {
        return {
            maskChar,
            charsRules,
            mask: '',
            prefix: '',
            lastEditablePos: undefined,
            permanents: [],
        };
    }
    let str = '';
    let prefix = '';
    const permanents = [];
    let isPermanent = false;
    let lastEditablePos;
    mask.split('')
        .forEach((character) => {
        if (!isPermanent && character === '\\') {
            isPermanent = true;
        }
        else {
            if (isPermanent || !charsRules[character]) {
                permanents.push(str.length);
                if (str.length === permanents.length - 1) {
                    prefix += character;
                }
            }
            else {
                lastEditablePos = str.length + 1;
            }
            str += character;
            isPermanent = false;
        }
    });
    return {
        maskChar,
        charsRules,
        prefix,
        lastEditablePos,
        permanents,
        mask: str,
    };
}
exports.default = default_1;
