"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_css_themr_1 = require("react-css-themr");
const ThemeIdentifiers_1 = require("../ThemeIdentifiers");
const baseTheme = require("./Message.scss");
class Message extends React.Component {
    render() {
        const { children, isVisible, id, style, theme } = this.props;
        if (!isVisible) {
            // TODO This seems to be a bug. We want to return null.
            return React.createElement("noscript", null);
        }
        return (React.createElement("div", { id: id, className: theme.messageBlock, style: style, role: "alert", "aria-live": "polite" },
            React.createElement("span", { className: theme.messagePrompt }, children)));
    }
}
exports.default = react_css_themr_1.themr(ThemeIdentifiers_1.MESSAGE, baseTheme)(Message);
