"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_css_themr_1 = require("react-css-themr");
const ThemeIdentifiers_1 = require("../ThemeIdentifiers");
const Heading_1 = require("../Heading");
const Button_1 = require("../Button");
const helpers_1 = require("./helpers");
const baseTheme = require("./Modal.scss");
var SizeType;
(function (SizeType) {
    SizeType[SizeType["Small"] = 300] = "Small";
    SizeType[SizeType["Medium"] = 600] = "Medium";
    SizeType[SizeType["Large"] = 800] = "Large";
})(SizeType = exports.SizeType || (exports.SizeType = {}));
const dialog = (props) => {
    let dialogWidthSize;
    switch (props.size) {
        case 'Small':
            dialogWidthSize = SizeType.Small;
            break;
        case 'Medium':
            dialogWidthSize = SizeType.Medium;
            break;
        case 'Large':
            dialogWidthSize = SizeType.Large;
            break;
        default:
            dialogWidthSize = props.size;
            break;
    }
    const cssClassNames = helpers_1.default.cleanClasses([
        props.backdropEnabled ? props.theme.dialog : props.theme.backDrop,
    ]);
    const buttonStyle = {
        float: `right`,
    };
    const close = props.close
        ? React.createElement(Button_1.default, { style: buttonStyle, "data-id": props.id ? props.id : `close-${props.id}`, onClick: props.onClose, icon: "cancel" })
        : null;
    const classHeader = props.theme.header;
    const header = props.header ? (typeof props.header === 'string'
        ? React.createElement("div", { className: classHeader },
            React.createElement(Heading_1.default, null, props.header))
        : React.createElement("div", { className: classHeader }, props.header)) : null;
    const footer = props.footer ? React.createElement("div", { className: props.theme.footer }, props.footer) : null;
    const propSize = {
        maxWidth: `${dialogWidthSize}px`,
        width: '96%',
    };
    const type = {
        block: React.createElement("div", { className: cssClassNames, style: propSize, "data-id": `dialog-${props.id}` },
            close,
            header,
            props.children,
            footer),
    };
    return type['block'];
};
exports.default = react_css_themr_1.themr(ThemeIdentifiers_1.MODAL, baseTheme)((dialog));
