"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.queryData = (value) => {
    return document.querySelector(`[data-${value}]`);
};
exports.getElement = (dataId) => {
    return exports.queryData(`id="${dataId}"`);
};
exports.cleanClasses = (c) => {
    const str = (c).join(' ').trim().replace(/,/gi, ' ');
    return str;
};
exports.cleanProps = (ignoreKeys) => {
    const ignore = [
        ...ignoreKeys,
    ];
    return ((obj) => {
        const objtest = Object.getPrototypeOf(obj);
        for (let i = 0; i < ignore.length; i++) {
            if (objtest[ignore[i]]) {
                objtest[ignore[i]] = null;
            }
        }
        return objtest;
    });
};
exports.default = {
    cleanClasses: exports.cleanClasses,
    cleanProps: exports.cleanProps,
    getElement: exports.getElement,
    queryData: exports.queryData,
};
