"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const React = require("react");
const react_css_themr_1 = require("react-css-themr");
const autobind_1 = require("@shopify/javascript-utilities/autobind");
const types_1 = require("../../types");
const shared_1 = require("../shared");
const KeypressListener_1 = require("../KeypressListener");
const ThemeIdentifiers_1 = require("../ThemeIdentifiers");
const Button_1 = require("../Button");
const baseTheme = require("./OffCanvas.scss");
class OffCanvasContent extends React.PureComponent {
    render() {
        const markup = this.props.active
            ? this.renderOffCanvas()
            : null;
        return markup;
    }
    renderOffCanvas() {
        const { id, children, theme, } = this.props;
        return (React.createElement("div", Object.assign({ id: id, role: "offcanvas", className: theme.content }, shared_1.layer.props),
            React.createElement(KeypressListener_1.default, { keyCode: types_1.Keys.ESCAPE, handler: this.handleEscape }),
            this.props.closeButton ? React.createElement("span", { className: theme.close },
                React.createElement(Button_1.default, { onClick: this.props.onCancel, icon: "cancel", plain: true })) : null,
            children));
    }
    handleEscape() {
        this.props.onCancel();
    }
}
tslib_1.__decorate([
    autobind_1.default
], OffCanvasContent.prototype, "renderOffCanvas", null);
tslib_1.__decorate([
    autobind_1.default
], OffCanvasContent.prototype, "handleEscape", null);
exports.default = react_css_themr_1.themr(ThemeIdentifiers_1.OFFCANVAS, baseTheme)(OffCanvasContent);
