"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_css_themr_1 = require("react-css-themr");
const styles_1 = require("@shopify/react-utilities/styles");
const components_1 = require("@shopify/react-utilities/components");
const Scrollable_1 = require("../Scrollable");
const ThemeIdentifiers_1 = require("../ThemeIdentifiers");
const Section_1 = require("./Section");
const baseTheme = require("./Popover.scss");
const pane = ({ fixed, sectioned, children, theme }) => {
    const className = styles_1.classNames(theme.pane, fixed && theme['pane-fixed']);
    const content = sectioned
        ? components_1.wrapWithComponent(children, Section_1.default)
        : children;
    return fixed
        ? (React.createElement("div", { className: className }, content))
        : (React.createElement(Scrollable_1.default, { className: className }, content));
};
exports.default = react_css_themr_1.themr(ThemeIdentifiers_1.POPOVER, baseTheme)(pane);
