"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_css_themr_1 = require("react-css-themr");
const other_1 = require("@shopify/javascript-utilities/other");
const Choice_1 = require("../Choice");
const ThemeIdentifiers_1 = require("../ThemeIdentifiers");
const baseTheme = require("./RadioButton.scss");
const getUniqueID = other_1.createUniqueIDFactory('RadioButton');
const radioButton = ({ label, labelHidden, helpText, checked, disabled, onChange, onFocus, onBlur, id = getUniqueID(), name = id, value, theme, }) => {
    function handleChange({ currentTarget }) {
        if (onChange == null) {
            return;
        }
        onChange(currentTarget.checked);
    }
    const describedBy = helpText
        ? Choice_1.helpTextID(id)
        : null;
    return (React.createElement(Choice_1.default, { label: label, labelHidden: labelHidden, id: id, helpText: helpText },
        React.createElement("div", { className: theme.radioButton },
            React.createElement("input", { id: id, name: name, value: value, type: "radio", checked: checked, disabled: disabled, className: theme.input, onChange: handleChange, onFocus: onFocus, onBlur: onBlur, "aria-describedby": describedBy }),
            React.createElement("div", { className: theme.backdrop }),
            React.createElement("div", { className: theme.icon }))));
};
exports.default = react_css_themr_1.themr(ThemeIdentifiers_1.RADIO_BUTTON, baseTheme)(radioButton);
