"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const AppConstants_1 = require("./AppConstants");
const CellExpand = react_1.default.createClass({
    getInitialState() {
        let expanded = this.props.expandableOptions && this.props.expandableOptions.expanded;
        return { expanded: expanded };
    },
    componentWillReceiveProps(nextProps) {
        let expanded = nextProps.expandableOptions && nextProps.expandableOptions.expanded;
        if (this.state.expanded !== expanded) {
            this.setState({ expanded });
        }
    },
    propTypes: {
        expandableOptions: react_1.PropTypes.object.isRequired,
        onCellExpand: react_1.PropTypes.func.isRequired
    },
    onCellExpand(e) {
        this.setState({ expanded: !this.state.expanded });
        this.props.onCellExpand(e);
    },
    render() {
        return (react_1.default.createElement("span", { className: "rdg-cell-expand", onClick: this.onCellExpand }, this.state.expanded ? AppConstants_1.default.CellExpand.DOWN_TRIANGLE : AppConstants_1.default.CellExpand.RIGHT_TRIANGLE));
    }
});
exports.default = CellExpand;
