"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const classnames_1 = require("classnames");
const ChildRowDeleteButton = ({ treeDepth, cellHeight, siblingIndex, numberSiblings, onDeleteSubRow, isDeleteSubRowEnabled, allowAddChildRow = true }) => {
    const lastSibling = siblingIndex === numberSiblings - 1;
    let className = classnames_1.default({ 'rdg-child-row-action-cross': allowAddChildRow === true || !lastSibling }, { 'rdg-child-row-action-cross-last': allowAddChildRow === false && (lastSibling || numberSiblings === 1) });
    const height = 12;
    const width = 12;
    let left = treeDepth * 15;
    let top = (cellHeight - 12) / 2;
    return (react_1.default.createElement("div", null,
        react_1.default.createElement("div", { className: className }),
        isDeleteSubRowEnabled && react_1.default.createElement("div", { style: { left: left, top: top, width: width, height: height }, className: "rdg-child-row-btn", onClick: onDeleteSubRow },
            react_1.default.createElement("div", { className: "glyphicon glyphicon-remove-sign" }))));
};
exports.default = ChildRowDeleteButton;
