"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const ColumnUtils_1 = require("./ColumnUtils");
class EmptyChildRow extends react_1.default.Component {
    constructor() {
        super();
        this.onAddSubRow = this.onAddSubRow.bind(this);
    }
    onAddSubRow() {
        this.props.onAddSubRow(this.props.parentRowId);
    }
    getFixedColumnsWidth() {
        let fixedWidth = 0;
        let size = ColumnUtils_1.default.getSize(this.props.columns);
        for (let i = 0; i < size; i++) {
            let column = ColumnUtils_1.default.getColumn(this.props.columns, i);
            if (column) {
                if (ColumnUtils_1.default.getValue(column, 'locked')) {
                    fixedWidth += ColumnUtils_1.default.getValue(column, 'width');
                }
            }
        }
        return fixedWidth;
    }
    render() {
        let { cellHeight, treeDepth } = this.props;
        const height = 12;
        const width = 12;
        let left = treeDepth * 15;
        let top = (cellHeight - 12) / 2;
        let style = {
            height: cellHeight,
            borderBottom: '1px solid #dddddd'
        };
        let expandColumn = ColumnUtils_1.default.getColumn(this.props.columns.filter(c => c.key === this.props.expandColumnKey), 0);
        let cellLeft = expandColumn ? expandColumn.left : 0;
        return (react_1.default.createElement("div", { className: "react-grid-Row rdg-add-child-row-container", style: style },
            react_1.default.createElement("div", { className: "react-grid-Cell", style: { position: 'absolute', height: cellHeight, width: '100%', left: cellLeft } },
                react_1.default.createElement("div", { className: "rdg-empty-child-row", style: { marginLeft: '30px', lineHeight: `${cellHeight}px` } },
                    react_1.default.createElement("div", { className: "'rdg-child-row-action-cross rdg-child-row-action-cross-last" }),
                    react_1.default.createElement("div", { style: { left: left, top: top, width: width, height: height }, className: "rdg-child-row-btn", onClick: this.onAddSubRow },
                        react_1.default.createElement("div", { className: "glyphicon glyphicon-plus-sign" }))))));
    }
}
EmptyChildRow.propTypes = {
    treeDepth: react_1.PropTypes.number.isRequired,
    cellHeight: react_1.PropTypes.number.isRequired,
    onAddSubRow: react_1.PropTypes.func.isRequired,
    parentRowId: react_1.PropTypes.number,
    columns: react_1.PropTypes.array.isRequired,
    expandColumnKey: react_1.PropTypes.string.isRequired
};
exports.default = EmptyChildRow;
