"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const focusableComponentWrapper_1 = require("./focusableComponentWrapper");
require("./themes/react-data-grid-cell.scss");
class OverflowCell extends react_1.default.Component {
    getStyle() {
        let style = {
            width: this.props.column.width,
            height: this.props.height,
            left: this.props.column.left,
            border: '1px solid #eee'
        };
        return style;
    }
    render() {
        return (react_1.default.createElement("td", { tabIndex: "-1", style: this.getStyle(), width: "100%", className: "react-grid-Cell" }));
    }
}
OverflowCell.isSelected = (props) => {
    const { cellMetaData, rowIdx, idx } = props;
    if (cellMetaData == null) {
        return false;
    }
    const { selected } = cellMetaData;
    return selected && selected.rowIdx === rowIdx && selected.idx === idx;
};
OverflowCell.isScrolling = props => props.cellMetaData.isScrollingHorizontallyWithKeyboard;
OverflowCell.propTypes = {
    rowIdx: react_1.default.PropTypes.number,
    idx: react_1.default.PropTypes.number,
    height: react_1.default.PropTypes.number,
    column: react_1.default.PropTypes.object,
    cellMetaData: react_1.default.PropTypes.object
};
OverflowCell.displayName = 'Cell';
const OverflowCellComponent = OverflowCell;
exports.OverflowCellComponent = OverflowCellComponent;
exports.default = focusableComponentWrapper_1.default(OverflowCell);
