"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const SimpleRowsContainer = (props) => {
    return (react_1.default.createElement("tbody", { onScroll: props.tonScroll, className: props.tclassName, key: "rows-container" }, props.rows));
};
exports.SimpleRowsContainer = SimpleRowsContainer;
SimpleRowsContainer.propTypes = {
    width: react_1.PropTypes.number,
    rows: react_1.PropTypes.array,
    tstyle: react_1.PropTypes.object,
};
class RowsContainer extends react_1.default.Component {
    constructor(props) {
        super(props);
        this.plugins = props.window ? props.window.ReactDataGridPlugins : window.ReactDataGridPlugins;
        this.hasContextMenu = this.hasContextMenu.bind(this);
        this.renderRowsWithContextMenu = this.renderRowsWithContextMenu.bind(this);
        this.getContextMenuContainer = this.getContextMenuContainer.bind(this);
        this.state = { ContextMenuContainer: this.getContextMenuContainer(props) };
    }
    getContextMenuContainer() {
        if (this.hasContextMenu()) {
            if (!this.plugins) {
                throw new Error('You need to include ReactDataGrid UiPlugins in order to initialise context menu');
            }
            return this.plugins.Menu.ContextMenuLayer('reactDataGridContextMenu')(SimpleRowsContainer);
        }
    }
    hasContextMenu() {
        return this.props.contextMenu && react_1.default.isValidElement(this.props.contextMenu);
    }
    renderRowsWithContextMenu() {
        let ContextMenuRowsContainer = this.state.ContextMenuContainer;
        let newProps = { rowIdx: this.props.rowIdx, idx: this.props.idx };
        let contextMenu = react_1.default.cloneElement(this.props.contextMenu, newProps);
        // Initialise the context menu if it is available
        return (react_1.default.createElement("div", null,
            react_1.default.createElement(ContextMenuRowsContainer, Object.assign({}, this.props)),
            contextMenu));
    }
    render() {
        return this.hasContextMenu() ? this.renderRowsWithContextMenu() : react_1.default.createElement(SimpleRowsContainer, Object.assign({}, this.props));
    }
}
RowsContainer.propTypes = {
    contextMenu: react_1.PropTypes.element,
    rowIdx: react_1.PropTypes.number,
    idx: react_1.PropTypes.number,
    window: react_1.PropTypes.object,
    tstyle: react_1.PropTypes.object,
    tonScroll: react_1.PropTypes.func,
    tclassName: react_1.PropTypes.string
};
exports.default = RowsContainer;
