const React = require('react');
const ExcelColumn = require('../../PropTypeShapes/ExcelColumn');
const FilterableHeaderCell = React.createClass({
    propTypes: {
        onChange: React.PropTypes.func.isRequired,
        column: React.PropTypes.shape(ExcelColumn)
    },
    getInitialState() {
        return { filterTerm: '' };
    },
    handleChange(e) {
        let val = e.target.value;
        this.setState({ filterTerm: val });
        this.props.onChange({ filterTerm: val, column: this.props.column });
    },
    renderInput: function () {
        if (this.props.column.filterable === false) {
            return React.createElement("span", null);
        }
        let inputKey = 'header-filter-' + this.props.column.key;
        return (React.createElement("input", { key: inputKey, type: "text", className: "form-control input-sm", placeholder: "Search", value: this.state.filterTerm, onChange: this.handleChange }));
    },
    render: function () {
        return (React.createElement("div", null,
            React.createElement("div", { className: "form-group" }, this.renderInput())));
    }
});
module.exports = FilterableHeaderCell;
