"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable react/prop-types */
const react_1 = require("react");
const react_dom_1 = require("react-dom");
const focusableComponentWrapper = WrappedComponent => {
    return (class ComponentWrapper extends react_1.Component {
        constructor() {
            super();
            this.checkFocus = this.checkFocus.bind(this);
            this.state = { isScrolling: false };
        }
        shouldComponentUpdate(nextProps) {
            return WrappedComponent.isSelected(this.props) !== WrappedComponent.isSelected(nextProps);
        }
        componentWillReceiveProps(nextProps) {
            let isScrolling = WrappedComponent.isScrolling(nextProps);
            if (isScrolling && !this.state.isScrolling) {
                this.setState({ isScrolling: isScrolling });
            }
        }
        componentDidMount() {
            this.checkFocus();
        }
        componentDidUpdate() {
            this.checkFocus();
        }
        checkFocus() {
            if (WrappedComponent.isSelected(this.props) && this.state.isScrolling) {
                this.focus();
                this.setState({ isScrolling: false });
            }
        }
        focus() {
            react_dom_1.default.findDOMNode(this).focus();
        }
        render() {
            return react_1.default.createElement(WrappedComponent, Object.assign({}, this.props, this.state));
        }
    });
};
exports.default = focusableComponentWrapper;
