"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_css_themr_1 = require("react-css-themr");
const styles_1 = require("@shopify/react-utilities/styles");
const ThemeIdentifiers_1 = require("../ThemeIdentifiers");
const baseTheme = require("./Spinner.scss");
const icons_1 = require("../../icons");
const spinner = ({ size = 'large', color = 'teal', accessibilityLabel, theme, style, }) => {
    const className = styles_1.classNames(theme.spinner, color && theme[styles_1.variationName('color', color)], size && theme[styles_1.variationName('size', size)]);
    const spinnerSvg = size === 'large'
        ? icons_1.spinnerLarge
        : icons_1.spinnerSmall;
    let contentMarkup;
    if (spinnerSvg) {
        contentMarkup = (React.createElement("svg", { className: className, style: style, viewBox: spinnerSvg.viewBox, dangerouslySetInnerHTML: { __html: spinnerSvg.body } }));
    }
    return (React.createElement("span", { "aria-label": accessibilityLabel }, contentMarkup));
};
exports.UnthemedSelect = spinner;
exports.default = react_css_themr_1.themr(ThemeIdentifiers_1.SPINNER, baseTheme)(spinner);
