"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_css_themr_1 = require("react-css-themr");
const styles_1 = require("@shopify/react-utilities/styles");
const components_1 = require("@shopify/react-utilities/components");
const ThemeIdentifiers_1 = require("../ThemeIdentifiers");
const baseTheme = require("./Stack.scss");
const Item_1 = require("./Item");
class Stack extends React.PureComponent {
    render() {
        const { children, vertical, spacing, distribution, alignment, theme, } = this.props;
        const className = styles_1.classNames(theme.stack, vertical && theme.vertical, spacing && theme[styles_1.variationName('spacing', spacing)], distribution && theme[styles_1.variationName('distribution', distribution)], alignment && theme[styles_1.variationName('alignment', alignment)]);
        const itemMarkup = components_1.elementChildren(children)
            .map((child, index) => components_1.wrapWithComponent(child, Item_1.default, { key: index }));
        return React.createElement("div", { className: className }, itemMarkup);
    }
}
exports.default = react_css_themr_1.themr(ThemeIdentifiers_1.STACK, baseTheme)(Stack);
