"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_css_themr_1 = require("react-css-themr");
const Icon_1 = require("../Icon");
const ThemeIdentifiers_1 = require("../ThemeIdentifiers");
const baseTheme = require("./Tag.scss");
const tag = ({ children, onRemove, theme }) => {
    return (React.createElement("span", { className: theme.tag },
        React.createElement("span", null, children),
        React.createElement("button", { "aria-label": "Remove", className: theme.button, onClick: onRemove, onMouseUp: handleMouseUp },
            React.createElement(Icon_1.default, { source: "cancelSmall" }))));
};
function handleMouseUp({ currentTarget }) {
    currentTarget.blur();
}
exports.default = react_css_themr_1.themr(ThemeIdentifiers_1.TAG, baseTheme)(tag);
