"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_css_themr_1 = require("react-css-themr");
const Icon_1 = require("../Icon");
const ThemeIdentifiers_1 = require("../ThemeIdentifiers");
const baseTheme = require("./TextField.scss");
const spinner = ({ theme, onChange, onClick }) => {
    function handleStep(step) {
        return () => onChange(step);
    }
    return (React.createElement("div", { className: theme.spinner, onClick: onClick, "aria-hidden": true },
        React.createElement("div", { role: "button", className: theme.segment, tabIndex: -1, onClick: handleStep(1) },
            React.createElement("div", { className: theme.spinnerIcon },
                React.createElement(Icon_1.default, { source: "caretUp" }))),
        React.createElement("div", { role: "button", className: theme.segment, tabIndex: -1, onClick: handleStep(-1) },
            React.createElement("div", { className: theme.spinnerIcon },
                React.createElement(Icon_1.default, { source: "caretDown" })))));
};
exports.default = react_css_themr_1.themr(ThemeIdentifiers_1.TEXT_FIELD, baseTheme)(spinner);
