"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const React = require("react");
const shared_1 = require("../shared");
let LINKCOMPONENT;
class UnstyledLink extends React.PureComponent {
    static use(newLinkComponent) {
        LINKCOMPONENT = newLinkComponent;
    }
    render() {
        if (LINKCOMPONENT) {
            return React.createElement(LINKCOMPONENT, Object.assign({}, this.props, shared_1.unstyled.props));
        }
        const _a = this.props, { external, url } = _a, rest = tslib_1.__rest(_a, ["external", "url"]);
        const target = external ? '_blank' : undefined;
        const rel = external ? 'noopener noreferrer' : undefined;
        return React.createElement("a", Object.assign({ style: this.props.style, target: target }, rest, { href: url, rel: rel }, shared_1.unstyled.props));
    }
}
exports.default = UnstyledLink;
