"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const rc_form_1 = require("rc-form");
class ValidatedForm extends React.Component {
    constructor() {
        super(...arguments);
        this.onSubmit = () => {
            this.props.form.validateFieldsAndScroll((error, values) => {
                if (!error) {
                    this.props.onSubmit(values);
                }
                else {
                    this.props.onSubmitError(values, error);
                }
            });
        };
    }
    render() {
        return (React.createElement("form", { onSubmit: this.onSubmit, style: this.props.style }, this.props.children && React.Children.map(this.props.children, (child) => {
            return React.cloneElement(child, { form: this.props.form });
        })));
    }
}
exports.default = rc_form_1.createForm()(ValidatedForm);
