"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const React = require("react");
const react_css_themr_1 = require("react-css-themr");
const TextField_1 = require("../TextField");
const ThemeIdentifiers_1 = require("../ThemeIdentifiers");
const baseTheme = require("../TextField/TextField.scss");
class ValidatedTextFieldComponent extends React.PureComponent {
    constructor(props) {
        super(props);
    }
    render() {
        if (!this.props.name) {
            throw new Error('Name property is required on ValidatedTextFieldComponent.');
        }
        const _a = this.props, { validateTrigger, validator, validateRules, form, onChange, onBlur } = _a, otherProps = tslib_1.__rest(_a, ["validateTrigger", "validator", "validateRules", "form", "onChange", "onBlur"]);
        const initialValue = otherProps.value;
        const otherFieldProps = tslib_1.__rest(form.getFieldProps(this.props.name, {
            initialValue,
            onChange,
            onBlur,
            validateTrigger,
            rules: validateRules,
        }), []);
        return (React.createElement(TextField_1.default, Object.assign({}, otherProps, otherFieldProps, { value: initialValue, errors: form.getFieldError(this.props.name) })));
    }
}
exports.default = react_css_themr_1.themr(ThemeIdentifiers_1.TEXT_FIELD, baseTheme)(ValidatedTextFieldComponent);
