"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_css_themr_1 = require("react-css-themr");
const ThemeIdentifiers_1 = require("../ThemeIdentifiers");
const baseTheme = require("./Video.scss");
var VideoType;
(function (VideoType) {
    VideoType[VideoType["WebM"] = 0] = "WebM";
    VideoType[VideoType["MP4"] = 1] = "MP4";
    VideoType[VideoType["Ogg"] = 2] = "Ogg";
})(VideoType = exports.VideoType || (exports.VideoType = {}));
class Video extends React.PureComponent {
    constructor() {
        super(...arguments);
        this.getVideoType = (videoType) => {
            let result = '';
            switch (videoType) {
                case VideoType.MP4:
                    result = 'video/mp4';
                    break;
                case VideoType.WebM:
                    result = 'video/webm';
                    break;
                case VideoType.Ogg:
                    result = 'video/ogg';
                    break;
                default:
                    break;
            }
            return result;
        };
    }
    render() {
        return (React.createElement("video", { autoPlay: this.props.autoplay, poster: this.props.poster.toString(), controls: this.props.controls, loop: this.props.loop, muted: this.props.muted, style: this.props.style, preload: this.props.preload, crossOrigin: this.props.crossorigin }, this.props.src.map((obj, index) => (React.createElement("source", { src: obj.src, type: this.getVideoType(obj.type), key: index })))));
    }
}
Video.defaultProps = {
    loop: false,
    muted: false,
    autoplay: false,
};
exports.default = react_css_themr_1.themr(ThemeIdentifiers_1.VIDEO, baseTheme)(Video);
