"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const enzyme_1 = require("enzyme");
const VisuallyHidden_1 = require("../VisuallyHidden");
const Heading_1 = require("../../Heading/Heading");
describe('<VisuallyHidden /> - Test Suit', () => {
    const theme = {
        VisuallyHidden: 'VisuallyHidden',
    };
    it('should verify that it should have one span tag.', () => {
        const visuallyHiddenWrapper = enzyme_1.mount(React.createElement(VisuallyHidden_1.default, { theme: theme },
            React.createElement(Heading_1.default, null, "Title and description")));
        expect(visuallyHiddenWrapper.find('span').length).toBe(1);
    });
    it('should verify that VisuallyHidden class should be applied to span.', () => {
        const visuallyHiddenWrapper = enzyme_1.mount(React.createElement(VisuallyHidden_1.default, { theme: theme },
            React.createElement(Heading_1.default, null, "Title and description")));
        expect(visuallyHiddenWrapper.find('span').hasClass('VisuallyHidden'));
    });
});
